﻿
Page=new Array();Page[0]=new Array("This guide provides information on how to work in Parallels Management Console - a client application used to manage your Parallels physical servers and their virtual machines.","Introduction","29729.htm");
Page[1]=new Array("Parallels Management Console is a remote tool with a graphical user interface (GUI) for managing your Parallels physical servers and virtual machines residing on them. This tool supports managing physical servers running the following Parallels products:","Parallels Server for Mac","Parallels Server Bare Metal","Parallels Server 4.0 for Mac Bare Metal Edition","Note: In this guide, the information about Parallels Server Bare Metal refers both to Parallels Server Bare Metal and to Parallels Server 4.0 for Mac Bare Metal Edition.","Parallels Management Console uses a typical client-server architecture.","The client application with the graphical user interface is installed on a computer running one of the supported Linux, Mac, or Windows operating systems. For the full list of supported operating systems, see the Checking System Requirements subsection of the Getting Started With Parallels Management Console user's guide. Once the client application is up and running, it can connect to the Parallels Service software on a physical server. This software is automatically installed on the physical server when you install one of the aforementioned Parallels products. The client application can control multiple physical servers simultaneously (e.g. Physical Server #1 and Physical Server #2 as shown in the picture above). After the connection to the required physical server has been established, you can start managing this server and its virtual machines using the intuitive and comfortable GUI.","About Parallels Management Console","29683.htm");
Page[2]=new Array("Parallels Management Console User's Guide contains extensive information on configuring Parallels Management Console settings and using this application to manage Parallels physical servers and virtual machines hosted on them.","To follow the instructions in this guide, no more than basic Linux, Mac, or Windows administration skills are required.","About This Guide","29732.htm");
Page[3]=new Array("The structure of the present guide is quite transparent and consists of the following chapters:","Introduction (you are reading it now). Provides basic information about the product and this guide.","Principles of Working With Parallels Management Console. Provides basic information on how to work with Parallels Management Console.","Working With a Parallels Physical Server. Provides basic information on how to work with a Parallels physical server.","Setting up a Virtual Machine. Provides instructions on creating a new virtual machine and adding an existing one.","Working in a Virtual Machine. Provides basic information on how to work with virtual machines.","Configuring Virtual Machines. Provides information on how to change the virtual machine configuration.","Managing Virtual Machines. Provides basic information on how to manage your virtual machines.","Using Parallels Compressor. Provides information on how and when you can use Parallels Compressor.","Troubleshooting and Limitations. Provides the solutions for some of the known issues.","Organization of This Guide","29731.htm");
Page[4]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it.","The table below presents the existing formatting conventions.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the Resources tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command-line placeholder, which is to be replaced with a real name or value.","These are the so-called EZ templates.","To destroy a Container, type vzctl destroy ctid.","Monospace","The names of commands, files, and directories.","Use vzctl start to start a Container.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","Saved parameters for Container 101","Monospace Bold","What you type, as contrasted with on-screen computer output.","# rpm &#0150;V virtuozzo-release","Key+Key","Key combinations for which the user must press and hold down one key and then press another.","Ctrl+P, Alt+F4","Besides the formatting conventions, you should also know about the document organization convention applied to Parallels documents: chapters in all guides are divided into sections, which, in their turn, are subdivided into subsections. For example, About This Guide is a section, and Documentation Conventions is a subsection.","Documentation Conventions","176.htm");
Page[5]=new Array("In addition to this guide, you can refer to the following resources to get more information on Parallels Management Console:","Getting Started With Parallels Management Console. This guide provides information on installing and setting to work the Parallels Management Console application on your computer.","Context-sensitive help. When working in Parallels Management Console, you can open a help page for the currently active window by pressing F1 on your keyboard.","Online documentation. All documentation for Parallels Management Console and other Parallels products, such as Parallels Server Bare Metal and Parallels Server for Mac is also available online.","Parallels website. Visit the Parallels Support web page containing product help files and the FAQ section.","Parallels Knowledge Base. This online resource comprises various articles about using Parallels Management Console and other Parallels products.","Getting Help","29733.htm");
Page[6]=new Array("If you spot a typo in this guide, or if you have thought of a way to make this guide better, you can share your comments and suggestions with us by completing the feedback form at the Parallels documentation feedback page.","Feedback","178.htm");
Page[7]=new Array("This chapter describes how to start working with Parallels Management Console.","Principles of Working With Parallels Management Console","30188.htm");
Page[8]=new Array("To launch Parallels Management Console:","@ On Mac OS X: open the Applications folder and launch the Parallels Management Console application.","@ On Windows: from the Start menu, choose All Programs &gt; Parallels &gt; Parallels Management Console &gt; Parallels Management Console.","@ On Linux: start Terminal and execute pmc-standalone.","Starting Parallels Management Console","29735.htm");
Page[9]=new Array("When you start Parallels Management Console for the first time, the Parallels Management Console Welcome window appears:","To connect to Parallels physical server, click Connect to Parallels Server.","To view Parallels Management Console Quick Start Guide, click Getting Started Guide.","To open Parallels website in your default browser, click Parallels Website.","Welcome Window","30104.htm");
Page[10]=new Array("When you launch Parallels Management Console, the Parallels Management Console window opens. The Parallels Management Console window consists of several parts:","Menus - contain all the controls available for Parallels Management Console, Parallels physical servers, and virtual machines. For detailed information, see the Menus subsection.","Toolbar - comprises buttons that can be used to manage the virtual machine and its appearance. For detailed information, see the Toolbar subsection.","Sidebar - contains the list of all Parallels physical servers registered in Parallels Management Console and their virtual machines. If you right-click a Parallels physical server name in the list, you can use a set of commands for managing the Parallels physical server from the context menu. If you right-click a virtual machine name in the list, you can use a set of commands for managing the virtual machine from the virtual machine context menu.","Virtual Machine window - acts as the virtual machine display or shows the properties and main operations of the virtual machine you selected in the sidebar. It consists of three tabs:","The Summary tab displays the main information about the virtual machine (its name, location, OS, state and description), the main operations you can perform on it, and the virtual machine configuration. This tab is always available.","The Console tab is available when the virtual machine is running and acts as the virtual machine display.","The Performance tab shows the CPU, memory, hard disk, and network usage when the virtual machine is running.","The Backup tab lists all virtual machine backups. It also contains the controls allowing you to create a new backup.","Status Bar - displays the devices information when the virtual machine is running. For detailed information, see the Status Bar subsection.","Parallels Management Console Window","30105.htm");
Page[11]=new Array("The Parallels Management Console menus contain all the controls available for Parallels Management Console and its virtual machines.","There are the following menus:","@ The Management Console menu. This menu is available only if Parallels Management Console is installed on a Mac. The Management Console menu allows you to:","display the About Parallels Management Console dialog","set up Parallels Management Console preferences","quit Parallels Management Console","The File menu allows you to:","create a new virtual machine","add an existing virtual machine to Parallels Management Console","remove the virtual machine from the Parallels Management Console sidebar","delete the virtual machine","clone the virtual machine","clone the virtual machine to a template","convert the virtual machine to a template","deploy the template to a virtual machine","convert the template to a virtual machine","migrate the virtual machine to another Parallels physical server","@ @ set up Parallels Management Console preferences","Note: This option is available in the File menu only if Parallels Management Console is installed on a Windows- or Linux-based physical computer. If Parallels Management Console is installed on a Mac, this option is available in the Management Console menu.","@ @ quit Parallels Management Console","Note: This option is available in the File menu only if Parallels Management Console is installed on a Windows- or Linux-based physical computer. If Parallels Management Console is installed on a Mac, this option is available in the Management Console menu.","The View menu includes commands for switching between different view modes: the Full Screen mode and the Window mode. You can also customize how you view the Parallels Management Console window and enable or disable automatic changes of the virtual machine screen resolution.","The Virtual Machine menu allows you to:","manage the virtual machine","work with virtual machine's snapshots","edit the virtual machine configuration","install Parallels Tools","update Parallels Tools","compress the virtual machine's hard disk drive","The Server menu allows you to:","connect to a registered Parallels physical server","disconnect from a registered Parallels physical server","register a new Parallels physical server","remove a Parallels physical server from the list of registered servers","edit Parallels physical server settings","rename a Parallels physical server","navigate between the registered Parallels physical servers","The Devices menu is available only when the virtual machine is running. It allows you to send some key combinations to the guest operating system and to configure certain devices and shared folders at runtime.","The Window menu allows you to choose the application window you want to appear on top. This menu simplifies the navigation between the virtual machines.","The Help menu allows you to:","open Parallels Management Console Help","activate a Parallels physical server","report problems to Parallels Support Team","@ @ It also displays the About Parallels Management Console dialog if Parallels Management Console is installed on a Windows- or Linux-based physical computer.","Menus","30126.htm");
Page[12]=new Array("The Parallels Management Console toolbar contains buttons for the most frequent commands used to start, stop, and otherwise manage a virtual machine and its window appearance.","Most of the toolbar buttons become enabled only when you start the virtual machine. If you click a toolbar button, it becomes visibly pressed.","The default toolbar buttons:","@ Start. Use this button to start the virtual machine if it is shut down, paused, or suspended. If the virtual machine is suspended or paused, this button becomes the Resume button @.","@ Shut Down. Use this button to shut down the guest operating system correctly.","@ Suspend. Use this button to put the virtual machine into the sleep mode for a certain period of time. If you need to restart the Parallels physical server, you may temporarily suspend your virtual machines and easily resume them after the restart.","@ Detach Console (Attach Console). Use this button to detach the virtual machine console to a new window or to attach it back to the main window. You may use this button to view the currently running virtual machines in separate windows.","@ Full Screen. Use this button to switch the virtual machine to the Full Screen mode. To return back to the Window mode, press the key combination that is Ctrl+Alt+Enter by default. The key combination for switching to the Full Screen mode and back can be changed in the Preferences dialog available from the File menu (or from the Management Console menu if Parallels Management Console is installed on a Mac).","@ Server Level. Use this button to quickly switch from the virtual machine window to the window of the server this virtual machine belongs to.","You can easily add other buttons to the toolbar: just right-click the toolbar, choose Customize Toolbar from the shortcut menu, and drag the items you need to the toolbar:","@ Restart. Use this button to restart the fully loaded guest operating system.","@ Pause. Use this button to pause the virtual machine when you need to instantly release the Parallels physical server resources used by this virtual machine.","@ Stop. Use this button to stop the virtual machine in cases when the machine does not run properly and prevents you from shutting it down.","Note: If you click this button when the virtual machine is running, you may lose all the unsaved data. To turn off the virtual machine, use the shutdown procedure specified for the guest OS installed in it or use the Shut Down button.","@ Reset. Use this button for hard reset of your virtual machine in cases when the machine does not run properly and prevents you from resetting it properly.","If you often work with snapshots, you can drag any of the three snapshot buttons to the toolbar as well:","@ Take Snapshot. Use this button to create a snapshot for the virtual machine.","@ Revert to Snapshot. Use this button to roll back the changes made to the virtual machine since the moment the last snapshot was made.","@ Manage Snapshots. Use this button to open Virtual Machine Snapshots. For more information, refer to the Working with Snapshots section.","Toolbar","30122.htm");
Page[13]=new Array("To change the appearance of the toolbar items, right-click the toolbar and use the shortcut menu commands:","Icon &amp; Text. Use this command if you want the toolbar to display both the button icons and their names.","Icon only. Use this command if you want the toolbar to display only the button icons.","Text only. Use this command if you want the toolbar to display only the button names.","Use Small Size. Use this command if you want the toolbar buttons to appear in a smaller size.","Remove Item. Point to a toolbar item and use this command if you want to remove this item from the toolbar.","Customize Toolbar. This command opens the toolbar settings pane. See the description below.","To customize the set of toolbar buttons and their appearance, right-click the toolbar and choose Customize Toolbar from the shortcut menu. The toolbar settings pane will open. You can use this pane to:","add new buttons to the toolbar by dragging them from the settings pane to the toolbar","remove buttons from the toolbar by dragging them from the toolbar to the settings pane","add separators to the toolbar by dragging them from the settings pane to the toolbar","add spaces to the toolbar by dragging them from the settings pane to the toolbar","change the current toolbar buttons set to the default one by dragging it to the toolbar","select the toolbar buttons view mode in the Show list","To apply the changes you have made to the toolbar settings pane, click Done.","Customizing Toolbar","30106.htm");
Page[14]=new Array("When the virtual machine is running, the status bar of its window displays the information about devices connected to the virtual machine.","The following devices have the icons on the status bar:","keyboard @","floppy disk drive @","CD/DVD-ROM @","hard disk @","network adapter @","serial port @","parallel port @","sound card @","USB controller @","shared folders @","If you see the @ icon in the status bar, it means that Parallels Tools are installed in your virtual machine.","You can connect or disconnect some of the virtual machine devices at runtime by clicking their icons in the status bar and choosing the respective commands from the shortcut menu. The picture below shows the shortcut menu for the CD/DVD-ROM drive.","You can connect ISO images of CD/DVD discs to the virtual machine CD/DVD-ROM drive or connect floppy images to its floppy disk drive in the following way: drag the required image file over the CD/DVD-ROM drive icon or the floppy disk drive icon in the status bar. For more information, please refer to the Changing Configuration at Runtime section.","Status Bar","30128.htm");
Page[15]=new Array("When working with Parallels Management Console installed on Windows- and Linux-based physical computers, you can use the Parallels Management Console tray icon to:","easily manage your running and paused virtual machines. For detailed information, refer to Managing Virtual Machines From the Tray.","bring the Parallels Management Console window to focus. To this effect, double-click the tray icon or right-click it and choose Show Main Window.","quit Parallels Management Console. To this effect, right-click the tray icon and choose the corresponding item.","The Parallels Management Console tray icon becomes available if you configure the closing main window settings as follows:","Choose Ask for Action from the Closing Main Window menu. Now, if you close the Parallels Management Console main window, you will be asked if you want to exit the application, to hide the main window to the notification area, or to cancel. If you choose to hide the main window, the tray icon will appear in the notification area.","Choose Hide to Notification Area from the Closing Main Window menu. Now, if you close the Parallels Management Console main window, the tray icon will appear in the notification area.","Parallels Management Console Tray Icon","30129.htm");
Page[16]=new Array("You can configure Parallels Management Console settings, using the Preferences dialog.","To access the dialog:","@ On Mac OS X: choose Preferences from the Management Console menu.","@ On Windows: choose Preferences from the File menu.","@ On Linux: choose Preferences from the File menu.","Setting Up Parallels Management Console Preferences","22886.htm");
Page[17]=new Array("In the General pane, you can specify the Parallels Management Console general preferences.","Closing Main Window","@ @ If you have Parallels Management Console installed on a Windows- or Linux-based physical computer, you can choose how the Parallels Management Console main window will act when you close it. Choose between the following options:","Exit Application. Choose this option if you want to exit Parallels Management Console on closing the main window. If you have a detached window of a running virtual machine, it will stay open.","Hide to Notification Area. Choose this option if you want to minimize the application and hide it to the notification area on closing the main window. For detailed information on managing virtual machines from the notification area, refer to Managing Virtual Machines From the Tray.","Ask for Action. Choose this option if you want Parallels Management Console to ask you what action to perform on closing the main window.","Sidebar Placement","This field enables you to choose where to position the Parallels Management Console sidebar:","Left. Choose this option to place the sidebar to the left of the Parallels Management Console main window.","Right. Choose this option to place the sidebar to the right of the Parallels Management Console main window.","Reset Hidden Messages","Some of the Parallels Management Console dialogs include the Do not show this message again option. If you select this option, this dialog will not appear next time. The Reset Hidden Messages button enables you to reset these dialogs and assistant windows, making them appear again.","Restore Defaults","@ @ The Restore Defaults button is available if Parallels Management Console is installed on a Windows- or Linux-based physical computer. This button enables you to restore the default settings for Parallels Management Console general preferences.","General Preferences","29946.htm");
Page[18]=new Array("In the Keyboard pane, you can set keyboard shortcuts for the following actions:","Full Screen Toggle. This action switches the virtual machine window from the Window mode to Full Screen and vice versa.","Release Input. This action releases the keyboard and mouse input from the virtual machine window.","Restore Defaults","To restore the default settings, click Restore Defaults.","Keyboard Preferences","29948.htm");
Page[19]=new Array("@ @ The Proxy Server pane is available only if Parallels Management Console is installed on a Windows- or Linux-based physical computer. This pane allows you to configure a number of proxy server-related settings.","If you do not want to use a proxy server for network connections, select Do not use proxy server and click OK.","If you want to use a proxy server for network connections, you have the following possibilities:","You can choose the Specify a proxy server option and provide the proxy server settings manually.","If you chose Specify a proxy server, you should specify the address and port of the proxy server. If this proxy server requires authentication, select Proxy server requires authentication and type the corresponding credentials in the User Name and Password fields. Choose Use a different proxy server for SSL connections if you want to use an SSL proxy server for your secure connections. Click SSL Proxy and provide the SSL proxy server address and port in the SSL Proxy window. In this window, you can also provide the credentials for accessing this server if needed. If you clear Use a different proxy server for SSL connections, the first proxy server specified in this pane will be used for all connections.","If Parallels Management Console is installed on a Windows-based physical computer, you can choose Use Internet Explorer proxy settings to import the proxy sever setting from the connections settings of Internet Explorer.","If you chose Use Internet Explorer proxy settings, click OK to apply the changes.","If Parallels Management Console is installed on a Windows-based physical computer, you can also choose Use automatic configuration script to automatically configure the proxy server settings.","If you chose Use automatic configuration script, you should provide the path to this script in the Address field. Than click OK to apply the changes.","Proxy Server Preferences","29950.htm");
Page[20]=new Array("To start managing Parallels physical servers and their virtual machines via Parallels Management Console, first, you should register these servers in Parallels Management Console.","To register a Parallels physical server:","Launch Parallels Management Console and do one of the following:","choose Add Server from the Server menu","right-click the Parallels Management Console sidebar and choose Add Server from the shortcut menu","The Parallels Server Login dialog will open.","In the Parallels Server Login dialog, specify the server you want to register and your user account properties.","Note: To be able to register a Parallels physical server, you should have an account on it.","Server. In this field, type the Parallels physical server IP address or hostname. You can also choose the server to connect to from the Server List available in the More Options area.","By default, Parallels physical server listens for connections on port 64000. If the listening port number differs from the default, type the number of the port right after the server IP address. For example, if Parallels physical server uses port 64001 for connections, type 127.0.0.1:64001 into the Server field.","User Name. In this field, type your user login for this server.","Password. In this field, type your password to access this server.","If you want Parallels Management Console to remember your login and password, select the Save Password option. With this option selected, you do not need to specify your user account properties each time you connect to this server.","Expand the More Options area to see the list of the servers available on the current network and specify additional settings:","Server List. This list contains Parallels physical servers found on the network. It displays the server's hostname, its IP address, and the type of primary OS installed in it.","Note: This list will be populated by those servers that currently appear on the network and can receive the broadcast message.","Connection Security. In this field, you can choose the security level for the connection between Parallels Management Console and the Parallels physical server. You can change the level later in the Login pane of the Server Settings dialog.","Use Data Compression. If you select this option, the data sent between Parallels Management Console and the Parallels physical server will be compressed. If you use low-speed connections, select this option to improve the data transfer speed. You can change this setting later in the Login pane of the Server Settings dialog.","Click Add Server. The selected server will appear in the Parallels Management Console sidebar.","To connect to this server by default when you launch Parallels Management Console, edit the Login settings in the Server Settings dialog.","Registering a New Parallels Physical Server","29919.htm");
Page[21]=new Array("When you connect to a Parallels physical server that is not activated, the 'Your copy of Parallels Server is not activated.' message appears. If the server is not activated, you can create new virtual machines and edit their configuration. However, you cannot run these virtual machines and install guest operating systems in them.","Note: Parallels Management Console does not require activation.","To activate Parallels Server:","Click Activate Product when you see the aforementioned message or choose Activate Product from the Help menu. The Activate Product dialog will appear:","Fill out the following fields in this dialog:","Name. Enter your name (optional).","Organization. Enter the name of your organization (optional).","Activation Key. Enter the product key for your copy of Parallels Server.","Click OK. If the product key is correct, your copy of Parallels Server will be successfully activated.","Note: Parallels Server should be activated only once.","Activating a Parallels Physical Server","29921.htm");
Page[22]=new Array("When you start Parallels Management Console, all registered Parallels physical servers appear as disconnected, except the server specified as the default server to connect.","Note: Only one server can be set as the default server to connect.","To connect to a registered Parallels physical server:","Launch Parallels Management Console and do one of the following:","In the sidebar, right-click the server you want to connect to and choose Connect from the shortcut menu.","In the sidebar, select the server you want to connect to and choose Connect from the Server menu.","In the Parallels Server Login dialog, specify your user name and password for the server.","Note: To be able to connect to the selected Parallels physical server, you should have an account on it.","If you want Parallels Management Console to save your login and password for future instances, select Save Password. With this option selected, you do not need to specify your user account properties each time you connect to this server.","Click Connect to connect to the server.","If your copy of Parallels Server is not activated, the corresponding message will appear. To be able to work with Parallels virtual machines on this server, you should activate Parallels Server. For detailed information on activating Parallels Server, refer to Activating Parallels Server.","Connecting to a Registered Parallels Physical Server","29924.htm");
Page[23]=new Array("When working with a Parallels physical server via Parallels Management Console, you can change some of the server settings. You can:","change the server name","change the default folder where the virtual machines files are stored","specify the default login and password for connecting to the server","change the connection security level","change the default folder where virtual machines backups are stored","adjust the amount of memory allocated to virtual machines","change the PCIe devices assignment","create new virtual networks and edit the settings of the default ones","Server settings can be changed using the Server Settings dialog. To open this dialog, do one of the following:","In the sidebar, select a Parallels server and choose Edit Settings from the Server menu.","In the sidebar, right-click a Parallels server and choose Edit Settings from the context menu.","In the sidebar, select a Parallels server and click Edit Settings in the server Summary pane.","The detailed information on editing the server settings is given in the following subsections.","Editing Parallels Physical Server Settings","29929.htm");
Page[24]=new Array("The Server Settings dialog allows you to edit some settings of the registered Parallels physical server.","To open the dialog, do one of the following:","In the sidebar, select a Parallels physical server and choose Edit Settings from the Server menu.","In the sidebar, right-click the Parallels physical server icon and choose Edit Settings from the shortcut menu.","In the sidebar, select a Parallels physical server and click Edit Settings on the server Summary pane.","The Server Settings dialog consists of the following panes:","General. In this pane, you can change the server name and specify the default folder for storing virtual machine files.","Login. In this pane, you can specify the login settings for connecting to this server.","Security. In this pane, you can set the security level for the connection between Parallels physical server and client applications connecting to it.","Backup. In this pane, you can specify the place where virtual machines backups will be stored.","Memory. In this pane, you can set the amount of memory allocated to virtual machines running on this server.","Feedback. In this pane, you can choose whether you want to participate in our Customer Experience Program or not.","Intel VT-d. In this pane, you can specify the Parallels physical server PCI devices assignment.","Virtual Networks. Under this item, you can create virtual networks and configure their settings.","Note: You can manage the Security, Memory and Network settings only if you have the administrator rights for the Parallels physical server and it is not disconnected.","Server Settings Dialog","29930.htm");
Page[25]=new Array("In the General pane, you can give a name to the Parallels server or change it if it already exists. You can also change the default folder for the virtual machines files. The files of new virtual machines created on the server will be placed to this folder.","Custom Name","In this field, you can give a name to the server or change it if it already exists. This name will be displayed in the Parallels Management Console sidebar and visible only in your Parallels Management Console.","Note: The server name must be unique and cannot be given to another registered Parallels server.","Default Folder for Virtual Machines","The default folder for virtual machines depends on the Parallels product installed on the Parallels server:","@ For Parallels Server for Mac, it is: /Users/Shared/Parallels/","@ For Parallels Server Bare Metal, it is: /var/Parallels/","@ For Parallels Server 4.0 for Mac Bare Metal Edition, it is: /var/Parallels/","To change the default folder, type the path to it or click the Choose button to locate the folder.","Restore Defaults","To apply the default settings, click Restore Defaults.","General Options","29932.htm");
Page[26]=new Array("In the Login pane, you can specify the login settings for connecting to the Parallels server.","The current user. Enable this option to connect to the server with the same user account that you used to log in to the primary operating system installed on this server.","Note: This option is available for the localhost server only, which is the server with IP address 127.0.0.1 on your network.","This user. Enable this option and specify the user name and password to connect to this server. The name and the password you enter should be valid for the Parallels server. If you want to save the user name and password, select Save Password.","Connect to this server by default. Enable this option if you want to connect to this Parallels server automatically when you start Parallels Management Console. You can also set the level of security when connecting to the server. For more information about the security levels, refer to Security Options.","Note: You can set only one server as the default for the connection.","Use Data Compression. If you select this option, the data sent between Parallels Management Console and Parallels Server will be compressed. If you use low-speed connections, select this option to improve the data transfer speed.","Restore Defaults","To apply the default settings, click Restore Defaults.","Login Options","29934.htm");
Page[27]=new Array("In the Security pane, you can set the level of security for incoming connections to the Parallels server.","The security levels regulate the encryption of data between the server and client applications connected to it.","Minimum Connection Security","High. The most protected connection type. All types of data transmitted between the Parallels server and Parallels Management Console are encrypted. It may result in a lower performance of the virtual machine's graphical console in client applications installed remotely.","Medium. The optimal level of data protection. The commands, events, and input data transmitted between the Parallels server and Parallels Management Console are encrypted, while the video and devices data is not encrypted. This level of security allows to encrypt the most important data without affecting the virtual machine's graphical console performance. This security level is the recommended one.","Low. The fastest type of connection security that is less protected than the other connection modes. The data transmitted between the Parallels server and Parallels Management Console is not encrypted.","After you have set the security level, you should restart the Parallels Server application to save the changes. To restart the Parallels Server application, execute the following commands in Terminal:","sudo launchctl stop com.parallels.server.launchdaemon","When prompted, enter the administrator's password.","sudo launchctl start com.parallels.server.launchdaemon","Restore Defaults","To restore the default settings, click Restore Defaults.","Security Options","29936.htm");
Page[28]=new Array("In the Backup pane, you can view and change the place where virtual machines backups are stored.","Local server. With this option selected (it is selected by default), if you create a virtual machine backup, it will be stored on this Parallels server in the following default directory:","@ On Mac OS X: /Users/Shared/Parallels/Backups","@ on a server running Parallels Server Bare Metal: /var/parallels/backups","@ on a server running Parallels Server 4.0 for Mac Bare Metal Edition: /var/parallels/backups","However, if you want to change the default directory where the backups will be stored, in the opposite field, indicate the path to a new folder or click the Choose button and locate the folder manually.","Other server. Select this option if you want virtual machines backups to be stored on a remote Parallels server. In the opposite field, type the IP address or hostname of this server. If it requires authentication, type the corresponding credentials in the User Name and Password fields.","Restore Defaults","To apply the default settings, click Restore Defaults.","Backup Options","30148.htm");
Page[29]=new Array("In the Memory pane, you can set the maximum amount of memory (RAM), which the Parallels server operating system will reserve for managing the Parallels Server application and all virtual machines running simultaneously on the server.","Note: To set the amount of memory (RAM) for each particular virtual machine, use the Virtual Machine Configuration dialog, the Memory Settings pane.","Memory allocated to server","By default, the amount of RAM is adjusted automatically. But you can set the needed value manually by selecting the Manually option and using the slider to set the required amount of memory.","Note: The resulting amount of memory will be shared between all virtual machines running on this server.","Restore Defaults","To apply the default settings, click Restore Defaults.","Memory Options","29938.htm");
Page[30]=new Array("Using the Feedback pane, you can join the Parallels Customer Experience Program.","If you choose to participate in the program, Parallels will collect information about your host computer and virtual machines configuration. The collected information will help us to make the product better fit your needs.","If you join, only the following types of data will be collected:","hardware configuration of the host computer;","software configuration of the host computer and virtual machines (the names and versions of the operating systems and software installed in them);","configuration files of virtual machines;","Any types of private information like your name, e-mail, address, phone number, and keyboard input will not be collected.","For more details, visit the Customer Experience Program page at the Parallels website (follow the link in the pane).","Feedback Options","30260.htm");
Page[31]=new Array("In the Intel VT-d pane, you can assign some of the Parallels server PCI Express (PCIe) devices to your virtual machines.","Note: This pane is available in Parallels Management Console only if the Parallels server supports the Intel VT-d technology and the Intel VT-d support is enabled in BIOS.","The table presented in the Intel VT-d pane consists of the following columns:","The PCIe Devices column lists all PCIe devices available to the Parallels server.","In the Assignment column, you can see the assignments of these PCIe devices. There are two types of assignments:","Host Computer. If you select this assignment, the device will be available to the Parallels server only.","Virtual Machines. If you select this assignment and click OK, an appropriate pass-through driver will be automatically installed into the Parallels server. This driver will make the PCIe device invisible. It will enable you to assign this device directly to a virtual machine. To use the device in a virtual machine, you should add it to the virtual machine configuration with the help of Add Hardware Wizard.","Restore Defaults","To apply the default settings, click Restore Defaults.","Intel VT-d","30150.htm");
Page[32]=new Array("Virtual networks are special essences that exist between the network adapters of a Parallels server and network adapters of its virtual machines. Virtual networks help to avoid various problems with virtual machines network connectivity that may appear after you migrate a virtual machine from one Parallels server to another. There are three types of virtual networks created by default:","Shared","Host-Only","Bridged","Shared virtual network","Only one Shared virtual network can be created on a Parallels server. If the virtual machine network adapter is connected to the Shared virtual network, the Network Address Translation (NAT) feature will be enabled for the virtual machine. In this case, the virtual machine will share whatever network connection is currently used by the Parallels server.","The virtual machine connected to the Shared virtual network uses the IP address of the Parallels server to connect to the Internet. To allow external connections to the virtual machine from the Internet, you should add a port forwarding rule.","For more information about Shared virtual network settings, refer to Shared Virtual Network Settings.","Host-Only virtual network","You can create several Host-Only virtual networks on a Parallels server. A virtual machine connected to the Host-Only virtual network can connect to the Parallels server and virtual machines connected to this Host-Only network. If you have, for example, two Host-Only virtual networks, the virtual machines connected to the first Host-Only virtual network will be able to connect to each other and to the Parallels server but they will not be able to connect to the virtual machines connected to the second Host-Only virtual network.","For more information about Host-Only virtual network settings, refer to Host-Only Virtual Network Settings.","Bridged virtual network","You can create several Bridged virtual networks on a Parallels server. A virtual machine connected to the Bridged virtual network will be able to connect to the local network and Internet through one of the network adapters or ethernet interfaces available to the Parallels server. In this case, the virtual machine is treated as a stand-alone computer on the network and should be configured in the same way as a real one.","For more information about Bridged virtual network settings, refer to Bridged Virtual Network Settings.","Virtual Networks","30489.htm");
Page[33]=new Array("In the Shared pane, you can specify the Shared virtual network settings.","In the Type menu, you can review or change the type of the selected virtual network.","In the Name field, you can specify the virtual network name.","In the Description field, you can type a short description for the virtual network.","In the Network Adapter menu, select the network adapter that will be connected to this virtual network.","Shared Virtual Network Settings","30167.htm");
Page[34]=new Array("If you click Advanced in the Shared pane of the Server Settings window, the Advanced Network Settings window will be displayed. In this window, you can specify the host IP address and network mask in the Parallels adapter IP address and Subnet mask fields.","When finished, click OK.","Specifying Host IP Address and Network Mask","30173.htm");
Page[35]=new Array("Normally, virtual machines connected to the shared virtual network cannot be accessed from external computers. The port forwarding functionality allows computers on your local network and the Internet to transfer data to any of your virtual machines that are connected to the shared virtual network. The data sent to a specific port on the Parallels server will be redirected to a specific port of your virtual machine according to a port-forwarding rule. This rule can be added in the NAT tab of the Advanced Network Settings window.","To add a new port forwarding rule:","Click the Add button @ below the Port forwarding table.","In the displayed window, do the following:","In the Port Type field, specify the port type you want to use for establishing network connections. You can choose between the TCP or UDP port types.","In the Incoming Port field, provide the port number on the Parallels server you want to use for data transfer.","In the IP Address field, indicate your virtual machine IP address.","In the Destination Port field, type the virtual machine's port the data will be transferred to.","Click OK to add the rule.","When the rule is added, use the following IP address combination for external connections to your virtual machine: &lt;Parallels physical server IP address&gt;:&lt;Incoming port&gt;.","To edit an existing port forwarding rule, select it in the Port forwarding table, click the Edit button @, and modify the necessary parameters in the displayed window.","To remove a port forwarding rule, select it in the Port forwarding table and click the Remove button @.","Adding Port Forwarding Rule","30176.htm");
Page[36]=new Array("Parallels DHCP server automatically assigns IP addresses to your virtual machines connected to the shared virtual network from the IP addresses range. To enable Parallels DHCP server and specify its settings, do the following:","In the Shared pane of the Server Settings window, click Advanced and go to the DHCP tab.","Select the Enable DHCP Server option to enable the Parallels DHCP server.","If necessary, configure the start and end IP addresses in the Start address and End address fields. The Start address and End address values determine the first and the last IP addresses with the first address usually assigned to the DHCP server itself. The second address is usually given to the host OS. Other addresses are assigned to virtual machines. The scope of IP addresses defined should belong to the same subnet.","Click OK.","Enabling Parallels DHCP Server","30177.htm");
Page[37]=new Array("In the Host-Only pane, you can specify the Host-Only virtual network settings.","In the Type menu, you can review or change the type of the selected virtual network.","In the Name field, you can specify the virtual network name.","In the Description field, you can type a short description for the virtual network.","In the Network Adapter menu, select the network adapter that will be connected to this virtual network.","Host-Only Virtual Network Settings","30168.htm");
Page[38]=new Array("If you click Advanced in the HostOnly pane of the Server Settings window, the Advanced Network Settings window will be displayed.","In this window, you can specify the following settings:","Specify the host IP address and network mask in the Parallels adapter IP address and Subnet mask fields.","Select the Enable DHCP Server option to enable the Parallels DHCP server. This server will automatically assign IP addresses to your virtual machines connected to the Host-Only virtual network from the IP addresses range defined in the appropriate fields below this option.","If necessary, configure the start and end IP addresses in the Start address and End address fields. The Start address and End address values determine the first and the last IP addresses with the first address usually assigned to the DHCP server itself. The second address is usually given to the host OS. Other addresses are assigned to virtual machines. The scope of IP addresses defined should belong to the same subnet.","Specifying Host-Only Virtual Network Advanced Settings","30179.htm");
Page[39]=new Array("In the Bridged pane, you can specify the Bridged virtual network settings.","In the Type menu, you can review or change the type of the selected virtual network.","In the Name field, you can specify the virtual network name.","In the Description field, you can type a short description for the virtual network.","In the Network Adapter menu, select the network adapter that will be connected to this virtual network.","Bridged Virtual Network Settings","30169.htm");
Page[40]=new Array("To add a virtual network, do the following:","In the Server Settings window, click the Add button @ to open the New Virtual Network window.","Select the virtual network type.","Note: Only one Shared virtual network can be created on a Parallels server. If you already have the Shared virtual network, this option will be grayed out.","If you select Bridged Ethernet, choose the network adapter that will be connected to the Bridged virtual network from the Network Adapter menu. This menu lists all network adapters and ethernet interfaces available to the Parallels server.","Click OK.","Adding a Virtual Network","30181.htm");
Page[41]=new Array("If you consider that you temporarily do not need to work with any of Parallels servers to which your Parallels Management Console is connected, you can easily disconnect from it.","To disconnect from a Parallels server, select this server in the sidebar and do one of the following:","choose Disconnect from the Server menu","right-click the server in the sidebar and choose Disconnect from the shortcut menu","choose Disconnect in the Operations section of the server's Summary tab","Disconnecting From a Parallels Physical Server","23139.htm");
Page[42]=new Array("If you do not need to work with any of the registered Parallels servers any more, you can remove it from the Parallels Management Console sidebar.","To remove a Parallels server, select it in the sidebar and do one of the following:","choose Remove from the Server menu","right-click the server and choose Remove from the context menu","Removing a Parallels Physical Server","29928.htm");
Page[43]=new Array("You can create a new or add an existing virtual machine to your Parallels physical server using:","@@ New Virtual Machine Wizard or Add Existing Virtual Machine Wizard if Parallels Management Console is installed on a Windows- or Linux-based computer","@ New Virtual Machine Assistant or Add Existing Virtual Machine Assistant if Parallels Management Console is installed on a Mac-based computer","Note: In this guide, we will use the New Virtual Machine Wizard and Add Existing Virtual Machine Wizard terms.","The process of creating a virtual machine comprises the following steps:","Creating a virtual machine configuration.","Installing a guest operating system.","To check the list of supported guest operating systems available for Parallels Server for Mac, refer to Parallels Server for Mac User's Guide.","To check the list of supported guest operating systems available for Parallels Server Bare Metal, refer to Parallels Server Bare Metal User's Guide.","To check the list of supported guest operating systems available for Parallels Server 4.0 for Mac Bare Metal Edition, refer to Parallels Server 4.0 for Mac Bare Metal Edition User's Guide.","Installing Parallels Tools.","These steps are described in the following sections in detail.","Setting Up a Virtual Machine","29954.htm");
Page[44]=new Array("This section describes how to create a virtual machine using New Virtual Machine Wizard.","Creating a New Virtual Machine","23124.htm");
Page[45]=new Array("The wizard offers several installation modes. You can choose the mode that better fits your needs or your experience with Parallels Management Console. Regardless of what mode you select, you will be able to change the configuration of the virtual machine later using the Virtual Machine Configuration dialog.","Express Windows or Linux Installation","New Virtual Machine Wizard not only creates a virtual machine configuration, but also automatically installs the corresponding guest OS in it. It is the easiest way to make a new virtual machine: you only need to insert an installation disc with the guest operating system or specify the path to its image file, and New Virtual Machine Wizard will do the rest (including the installation of Parallels Tools).","For more information on these installation modes, see Express Windows Installation Mode or Express Linux Installation Mode.","Typical Installation","This installation mode is designed for new users and for fast virtual machine creation. You only have to specify the type and version of the guest operating system that you wish to install and where you wish to store the virtual machine files.","New Virtual Machine Wizard starts the installation of the guest OS as interactive installation.","For more information on this installation mode, see Typical Installation Mode.","Custom Installation","This installation mode is intended for experienced users only. It allows the user to create configurations other than the typical ones. In this mode, the user is prompted to specify such options for the basic hardware as the amount of RAM, the size and format of a virtual hard disk, and networking parameters. Additional devices can be added later, using the Virtual Machine Configuration dialog. After New Virtual Machine Wizard creates a virtual machine configuration, it starts installing the guest OS if such an option was selected.","For more information on this installation mode, see Custom Installation Mode.","Default Folders for Virtual Machines","By default, a new virtual machine folder will be created in the following directories:","@ Mac OS X: /Users/Shared/Parallels/","@ Parallels Server Bare Metal: /var/Parallels/","@ Parallels Server 4.0 for Mac Bare Metal Edition: /var/Parallels/","However, you can select another folder that will be used as the default folder for your virtual machines.","To specify another default destination for saving virtual machines, do the following:","Choose Edit Settings from the Server menu.","On the General tab of the Server Settings window, specify the default destination for new virtual machines in the Default Folder for Virtual Machines field.","Note: You can also specify a folder for a virtual machine during its creation. An existing virtual machine can also be moved to a different folder after it is created.","New Virtual Machine Wizard","29958.htm");
Page[46]=new Array("Start Parallels Management Console and launch New Virtual Machine Wizard by choosing New from the File menu.","In the Select Operating System Type and Version window, select the Windows 7, Windows Vista, Windows XP, or Windows Server 2003 guest OS and click Next.","In the Virtual Machine Type window, select Express Windows and click Next.","In the Name and Location window, define the name and location for your virtual machine:","Name. Indicate an arbitrary name to be assigned to the virtual machine. By default, the virtual machine gets the same name as the operating system that will be installed inside this virtual machine. If a virtual machine with such a name already exists, you will be prompted to indicate another name. The name must not exceed 50 characters.","Location. Use the Choose button if you want to change the default location of the virtual machine-related files.","Click Next.","In the Express Windows Installation window, specify your user details and the Windows product key necessary for the Windows guest OS installation.","Note: If you do not enter the Windows product key in this step, you will have to provide it later when the Windows guest OS installation starts.","If you are installing a 64-bit version of the guest operating system, select 64-bit Windows version.","If you click the Advanced button, you can set the number of CPUs and the amount of RAM to your future virtual machine.","Click Create.","When the virtual machine is created, in the Prepare to Install Operating System window, specify the source of installation files and click Start.","Select the installation source in the Placement list. Choose Physical Server if your source installation files are located on the Parallels server or choose Client Computer if the source installation files are located on the physical computer where Parallels Management Console is installed. If Parallels Management Console is installed on the Parallels server, in the Placement list, you will be able to choose only Physical Server.","Specify the path to the source installation files. If you want to use a disc inserted into the CD/DVD drive of the computer, choose this drive from the Source menu. If you want to use a CD/DVD disc image connected to the virtual machine's CD/DVD drive, click the Source menu and use Choose an image file to locate the file.","Note: Parallels Management Console does not provide users with OS ISO images or OS installation discs. You should purchase an OS installation disc or an OS ISO image if you do not have any.","After you click Start, New Virtual Machine Wizard will automatically start the new virtual machine and install the guest operating system in it. After the guest OS installation, Parallels Management Console will install Parallels Tools in the virtual machine.","During the unattended installation, Parallels Management Console creates an administrator account with a blank password. When the guest OS installation is complete, we recommend that you change the password in order to protect the safety of your data. For detailed information on changing the administrator's password, please refer to the documentation shipped with your Windows guest operating system.","Express Windows Installation Mode","29988.htm");
Page[47]=new Array("To create a typical virtual machine:","Start Parallels Management Console and launch New Virtual Machine Wizard by choosing New from the File menu.","In the Select Operating System Type and Version window, select the operating system you are planning to install inside your virtual machine and click Next.","In the Virtual Machine Type window, select Typical and click Next.","In the Name and Location window, define the name and location for your virtual machine:","Name. Indicate an arbitrary name to be assigned to the virtual machine. By default, the virtual machine gets the same name as the operating system that is planned to be installed inside this virtual machine. If a virtual machine with such a name already exists, you will be prompted to indicate another name. The name must not exceed 50 characters.","Location. Use the Choose button if you want to change the default location of the virtual machine-related files.","Click Next.","When the virtual machine is created, in the Prepare to Install Operating System window, specify the source of installation files and click Start.","Select the installation source in the Placement list. Choose Physical Server if your source installation files are located on the Parallels server or choose Client Computer if the source installation files are located on the physical computer where Parallels Management Console is installed. If Parallels Management Console is installed on the Parallels server, in the Placement list, you will be able to choose only Physical Server.","Specify the path to the source installation files. If you want to use a disc inserted into the CD/DVD drive of the computer, choose this drive from the Source menu. If you want to use a CD/DVD disc image connected to the virtual machine's CD/DVD drive, click the Source menu and use Choose an image file to locate the file.","Note: Parallels Management Console does not provide users with OS ISO images or OS installation discs. You should purchase an OS installation disc or an OS ISO image if you do not have any.","If you want to connect the installation source to the virtual machine in this step, make sure the Connect the installation media option is selected. If you clear this option and start the virtual machine or start it later, you will have to connect the installation source to the virtual machine manually.","To start the virtual machine and guest OS installation, click Start. When the installation is complete, install Parallels Tools if they are available for the guest OS.","If you do not want to start the virtual machine and install the guest OS, click Done.","Typical Installation Mode","30002.htm");
Page[48]=new Array("To create a custom virtual machine:","Start Parallels Management Console and launch New Virtual Machine Wizard by choosing New from the File menu.","In the Select Operating System Type and Version window, select the guest OS you plan to install inside your virtual machine and click Next.","In the Virtual Machine Type window, select Custom and click Next.","In the Name and Location window, define the name and location for your virtual machine:","Name. Indicate an arbitrary name to be assigned to the virtual machine. By default, the virtual machine gets the same name as the operating system that will be installed inside this virtual machine. If a virtual machine with such a name already exists, you will be prompted to indicate another name. The name must not exceed 50 characters.","Location. Use the Choose button if you want to change the default location of the virtual machine-related files.","Click Next.","In the CPU and Memory Options window, specify the number of CPU(s) and the amount of RAM for the virtual machine and click Next. You may use the slider or arrow buttons to set the value or simply type it into the corresponding field.","In the Hard Disk Options window, select the type of virtual hard disk you want to use and click Next. You can create a new hard disk image, use an existing one, or create a virtual machine without any hard disk at all. You may need a virtual machine without a hard disk to work with live CDs/DVDs (CDs or DVDs containing a bootable operating system).","In the previous step, if you selected the No hard disk option, go to Step 8.","If you selected to use an existing image file, in the Existing Virtual Hard Disk window, specify the hard disk image to be connected and click Next.","If you selected to create a new virtual hard disk, in the Hard Disk Options window, specify the capacity and type for the disk and click Next.","In the Networking Type window, select the type of networking you want to use in the virtual machine and click Next.","Virtual Network. If you select this option, the virtual machine will be connected to one of the virtual networks available to the Parallels server.","Direct Assignment (using Intel VT-d). This option is available only if you have a PCIe network adapter and the Intel VT-d technology is enabled in the Parallels server. If you select this option, the virtual machine will be able to access the local network and Internet through a PCIe network adapter.","No Networking. If you select this option, the virtual machine will have no network adapter.","Note: You may reconfigure the networking settings after the virtual machine is created, using the Virtual Machine Configuration dialog.","In the previous step, if you selected the No Networking option, go to Step 10.","If you selected the Direct Assignment (using Intel VT-d) option, in the Network Adapter window, select the PCIe network adapter you want to use. Before using the PCIe adapter in your virtual machine, you need to assign it to your virtual machines in the Intel VT-d pane of the Server Settings dialog and install the manufacturer's driver for this PCIe device inside the virtual machine. The driver should support the Intel VT-d technology.","If you selected the Virtual Network option, in the Network Adapter window, select the virtual network to which the virtual machine network adapter will be connected.","In the Optimization Options window, select the optimization mode you prefer and click Create. The available options are:","Virtual machine (Recommended). Select this option to allocate more host computer resources to the virtual machine and its applications.","Host Computer. Select this option to allocate more resources to the host computer and its applications.","When the virtual machine is created, in the Prepare to Install Operating System window, specify the source of installation files and click Start.","Select the installation source in the Placement list. Choose Physical Server if your source installation files are located on the Parallels server or choose Client Computer if the source installation files are located on the physical computer where Parallels Management Console is installed. If Parallels Management Console is installed on the Parallels server, in the Placement list, you will be able to choose only Physical Server.","Specify the path to the source installation files. If you want to use a disc inserted into the CD/DVD drive of the computer, choose this drive from the Source menu. If you want to use a CD/DVD disc image connected to the virtual machine's CD/DVD drive, click the Source menu and use Choose an image file to locate the file.","Note: Parallels Management Console does not provide users with OS ISO images or OS installation discs. You should purchase an OS installation disc or an OS ISO image if you do not have any.","To start the virtual machine and guest OS installation, click Start. When the installation is complete, install Parallels Tools if they are available for the guest OS.","If you do not want to start the virtual machine and install the guest OS, click Done.","Custom Installation Mode","30009.htm");
Page[49]=new Array("You can install a guest operating system in a virtual machine from a CD or DVD, or from an image file of such CD/DVD. Some operating systems are available on CD/DVD disc images only.","In some cases, the installation cannot be performed from a real CD/DVD disc because of disc reading problems. In such cases, it is recommended that you try to install the operating system from a CD/DVD disc image of this disc. ISO images of CD/DVD discs can be created using a third party imaging utility.","You can also install the guest operating system using a PXE server via network.","Some operating systems are installed only from floppy disks. If your computer does not have floppy drives, you can install such operating systems using images of installation diskettes or using real floppy disk drives inserted into an external USB floppy disk drive. You can create floppy disk images using third-party applications.","Installing from a CD/DVD disc or its image","Select the virtual machine and make sure that it is stopped.","To connect the installation medium, open Virtual Machine Configuration by:","right-clicking the machine and choosing Configure from the shortcut menu, or","choosing Configure from the Virtual Machine menu.","Open the CD/DVD-ROM settings and configure the virtual CD/DVD-ROM drive settings.","If you are installing from a real CD/DVD:","Select the Real Device option and specify the real drive to connect in the CD/DVD-ROM list.","Insert the CD/DVD disc with the operating system files into the appropriate drive of the computer.","If you are installing from an image file:","Select the Image file option and specify the path to the image file in the File field.","Note: You can use ISO and DMG images for installing the guest operating system. CUE and CCD images may be also supported.","Click OK in Virtual Machine Configuration to save the changes.","Start your virtual machine by clicking Start @.","The installation will launch soon after the virtual machine is started.","Note: If you need to press any keys inside the virtual machine during the guest OS installation, first click inside the virtual machine window to capture the keyboard and mouse input and than press the corresponding keys. To release the keyboard and mouse, press Ctrl+Alt. For more information, refer to Capturing and Releasing the Keyboard and the Mouse.","Installing from the network","Choose Configure from the Virtual Machine menu to open Virtual Machine Configuration.","Click the Add button @ in the bottom part of the Virtual Machine Configuration dialog to launch Add Hardware Wizard.","Add a network adapter to your virtual machine configuration.","Open the Boot Order pane in Virtual Machine Configuration and change the boot sequence to make the virtual network adapter the first device in the sequence. To do this, select Network Adapter in the list, and use the arrow buttons to move it to the top of the list.","Click OK to apply the changes.","Start the virtual machine by clicking Start @ on the toolbar.","Soon after your virtual machine is started, a list of available PXE servers will appear.","During the installation, when the guest OS reboots for the first time, or after the installation, return the boot sequence to booting from the hard disk.","Installing from a floppy disk image","Select the virtual machine and make sure that it is stopped.","To connect the installation medium, open Virtual Machine Configuration by:","right-clicking the machine and choosing Configure from the shortcut menu, or","choosing Configure from the Virtual Machine menu.","Select the Floppy DIsk pane in the sidebar and specify the path to the floppy image disk file in the Image File field.","Click OK to apply the changes","Start the virtual machine by clicking Start @ on the toolbar.","The installation will launch soon after the virtual machine is started.","Reinstalling the guest OS","The procedure of reinstalling the guest OS is the same as the procedure of installing the guest OS: provide the installation media or its image, connect it to the virtual machine, and start the virtual machine. The reinstallation will launch soon after the virtual machine is started.","Note: You can reinstall the guest OS of the same type only. However, you are free to choose the guest OS version.","Keep in mind that in some cases, it is easier just to create a new virtual machine, install the guest OS, and delete the old machine after moving all the necessary data to the new one.","Installing a Guest Operating System","30016.htm");
Page[50]=new Array("Parallels Tools are a suite of special utilities that help you use your virtual machines in the most comfortable and efficient way. With Parallels Tools, you can move the mouse seamlessly outside the guest OS window without pressing any key, change the virtual machine's screen resolution by simply resizing its window, synchronize your virtual machine's time and date settings with the time settings of the host computer, and share the host computer disks and folders with its virtual machines.","Parallels Tools are located on the disc images that are installed along with Parallels Server Bare Metal or Parallels Server for Mac. There is a separate Parallels Tools disc image for each type of the supported guest operating systems.","prl-tools-win.iso - disc image with Parallels Tools for Windows guest operating systems.","prl-tools-lin.iso - disc image with Parallels Tools for Linux guest operating systems.","prl-tools-mac.iso - disc image with Parallels Tools for Mac OS X guest operating systems.","Note: You can create virtual machines with Mac OS X guest operating systems only on Intel-based Macs.","prl-tools-other.iso - disc image with Parallels Tools for other guest operating systems.","These disc images can be found in the following locations:","@ in Mac OS X: /Library/Parallels/Tools/","@ in Parallels Server Bare Metal: /usr/share/parallels-server/tools/","@ in Parallels Server 4.0 for Mac Bare Metal Edition: /usr/share/parallels-server/tools/","Using Parallels Tools","30020.htm");
Page[51]=new Array("Parallels Tools are available for the following guest operating systems:","Windows","Windows 2000","Windows Server 2003","Windows XP","Windows Vista","Windows Server 2008","Windows 7","Linux","Any supported Linux guest operating systems that have the following packages installed:","X.org 6.7 and later","glibc2.4 and later","Mac","Any supported Mac OS X guest operating systems.","Note: You can create virtual machines with Mac OS X guest operating systems only on Intel-based Macs.","Parallels Tools Availability","30519.htm");
Page[52]=new Array("If you created your virtual machine using the Express Windows mode, Parallels Tools were installed automatically after the installation of the Windows guest operating system.","If your virtual machine was created in the Typical or Custom mode, do the following to install Parallels Tools in it:","Start the virtual machine and log in to the guest operating system.","When the guest OS boots up, connect the Parallels Tools ISO image by choosing the Install Parallels Tools option from the Virtual Machine menu.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to Parallels Tools Availability.","In the Welcome window, click Install. The wizard will start the automatic installation.","When the installation is complete, click Reboot to exit the wizard and restart the virtual machine.","Reinstalling Parallels Tools","To reinstall Parallels Tools, start your virtual machine, and select Reinstall Parallels Tools from the Virtual Machine menu. This option is available only if Parallels Tools are up-to-date. If Parallels Tools are outdated, you will see the Update Parallels Tools option instead.","How to check if Parallels Tools are installed","If you are not sure whether Parallels Tools are installed, you can easily check this. Start your virtual machine and look at the status bar of its window: if the tip &quot;Press Ctrl + Alt to release the mouse and keyboard&quot; appears in the status bar of the virtual machine's window, this means that Parallels Tools are not installed. When Parallels Tools are installed, you do not need to press any key to release the mouse and keyboard - they are released automatically.","Installing Parallels Tools in a Windows Guest OS","30520.htm");
Page[53]=new Array("Before installing Parallels Tools in a Linux guest OS, perform the following actions:","Close all applications in the guest operating system.","Disable the 3D accelerated window manager if you use any.","Make sure that you have the gcc package and kernel sources installed. If these packages are not installed, the Parallels Tools installer will warn you. The kernel sources package name depends on the type of Linux operating system you use: it can be kernel-devel, or kernel-headers, or something else. For more information about the kernel sources, refer to the Installing the GCC package and Kernel Sources in Linux section.","Note: To install Parallels Tools in your virtual machine, you must have the root privileges. ","Installing Parallels Tools in the most recent versions of Linux guest OSs","If you have one of the most recent versions of Linux OSs (Fedora 10) in your virtual machine, the prl-tools-lin.iso image file will be mounted automatically after you connect it to the CD/DVD-ROM drive. To install Parallels Tools, do the following:","Start the virtual machine.","When the guest OS boots up, click the Virtual Machine menu and choose Install Parallels Tools.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to Parallels Tools Availability.","The prl-tools-lin.iso image file will be connected to the virtual machine's CD/DVD-ROM drive and mounted.","Start a terminal in your Linux guest OS. Type the following command to gain the root privileges:","su","Change the directory to the CD/DVD-ROM directory using","cd /media/cdrom/","Note: In some of the Linux operating systems, the mount point for the virtual CD/DVD-ROM drive may appear as /media/Parallels\\ Tools/.","In the CD/DVD-ROM directory, enter the following command to launch Parallels Tools installation:","./install","Follow the Parallels Tools Installer instructions to complete the installation.","When the installation of Parallels Tools is complete, restart your virtual machine.","Installing Parallels Tools in other versions of Linux guest OSs","To install Parallels Tools in the older versions of Linux OSs, you have to mount the prl-tools-lin.iso image file manually. Do the following:","Start the virtual machine.","When the guest OS boots up, click the Virtual Machine menu and choose Install Parallels Tools.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to Parallels Tools Availability.","The prl-tools-lin.iso image file will be connected to the virtual machine's CD/DVD-ROM drive.","Start a terminal in your Linux guest OS. Type the following command to gain the root privileges:","su","Check if the Parallels Tools CD image is mounted by entering","mount | grep iso9660","If this command does not return anything, proceed to the next step.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,exec,nosuid,nodev,uid=0),","skip the next step and proceed to the following one.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,noexec,nosuid,nodev,uid=0)","with the noexec option present in parentheses, you need to unmount the disc using the following command and then proceed to the next step:","umount /dev/cdrom","To mount the Parallels Tools installation disc image, enter the following:","mount -o exec /dev/cdrom /media/cdrom","Note: /dev/cdrom is the virtual machine's CD/DVD-ROM drive and /media/cdrom is the mount point for this device. In some of the Linux operating systems the virtual CD/DVD-ROM drive may appear as /dev/hdb and the mount point /mnt/cdrom. Some Linux OSs do not have the CD/DVD-ROM mount point. In this case, you should create the mount point directory manually.","When the installation disc image is mounted, change the directory to the CD/DVD-ROM directory using","cd /media/cdrom/","In the CD/DVD-ROM directory, enter the following to launch Parallels Tools installation:","./install","Note: You must have the root privileges to run this command.","Follow the Parallels Tools Installer instructions to complete the installation.","When the installation of Parallels Tools is complete, restart your virtual machine.","Note: If X Server fails to start in your virtual machine, you can install Parallels Tools manually in text mode.","Reinstalling Parallels Tools","To reinstall Parallels Tools, remove them first, and then install them again using the above procedure.","How to check if Parallels Tools are installed","If you are not sure whether Parallels Tools are installed, you can easily check this. Start your virtual machine and look at the status bar of its window: if the tip &quot;Press Ctrl + Alt to release the mouse and keyboard&quot; appears in the status bar of the virtual machine's window, this means that Parallels Tools are not installed. When Parallels Tools are installed, you do not need to press any key to release the mouse and keyboard - they are released automatically.","Troubleshooting","Parallels Tools installer can be blocked by SELinux. To solve this problem:","Start a terminal and determine your version of kernel by entering","uname -r","2.6.18-8.el5","2.6.18-8.el5 is the version of your kernel.","Open the /boot/grub/grub.conf file or /boot/grub/menu.lst (depends on the version of your Linux operating system) and find the entry that corresponds to your version of kernel.","title Red Hat Enterprise Linux Server (2.6.18-8.el5)","	root (hd0,0)","	kernel /vmlinuz-2.6.18-8.el5 ro root=/dev/VolGroup00/LogVol00 rhgb quiet","	initrd /initrd-2.6.18-8.el5.img","Type the following text at the end of the entry:","selinux=0","and the whole entry will be:","kernel /vmlinuz-2.6.18-8.el5 ro root=/dev/VolGroup00/LogVol00 rhgb quiet selinux=0","Save the file and restart the virtual machine.","After the restart, mount the Parallels Tools disc image and try to install Parallels Tools.","Installing Parallels Tools in a Linux Guest OS","30522.htm");
Page[54]=new Array("To install Parallels Tools in Mac OS X guest OS:","Note: You can create virtual machines with Mac OS X guest operating systems only on Intel-based Macs.","Start the virtual machine, and log in to the guest OS.","When the guest OS boots up, connect and mount the Parallels Tools ISO image file by choosing the Install Parallels Tools option from the Virtual Machine menu.","Note: If the Install Parallels Tools option is greyed out, make sure that Parallels Tools support your guest operating system. To view the list of guest OSs which are supported by Parallels Tools, refer to Parallels Tools Availability.","Open the mounted image of the disk and double-click the Guest OS Tools For Mac OS X icon to start the installation.","In the Welcome window, click Continue.","In the Select a Destination window, specify the location for Parallels Tools. Click Continue.","In the Standard Install on &quot;Macintosh HD&quot; window, if you need to set a different location for Parallels Tools, you can do it by clicking Change Install Location. Click Install to continue the installation. Type the password when prompted.","In the Installation window, you can see the process of Parallels Tools being installed in your virtual machine.","When the installation is complete, click Restart to exit the assistant and restart you virtual machine.","Reinstalling Parallels Tools","To reinstall Parallels Tools, remove them first, and then install them again using the above procedure.","How to check if Parallels Tools are installed","If you are not sure whether Parallels Tools are installed, you can easily check this. Start your virtual machine and look at the status bar of its window: if the tip &quot;Press Ctrl + Alt to release the mouse and keyboard&quot; appears in the status bar of the virtual machine's window, this means that Parallels Tools are not installed. When Parallels Tools are installed, you do not need to press any key to release the mouse and keyboard - they are released automatically.","Installing Parallels Tools in a Mac OS X Guest OS","30523.htm");
Page[55]=new Array("The procedure of updating Parallels Tools depends on the guest operating system they are installed in.","In a Windows guest OS","Parallels Management Console automatically checks for new Parallels Tools updates when you start your virtual machine.","If a newer version of Parallels Tools is available, you will see the corresponding message offering you to update the tools. Click Install to update Parallels Tools. If you click nothing, updating will start automatically in a few seconds.","If you do not want to update Parallels Tools or want to do it later, click Cancel. You will be able to update them later by using the Update Parallels Tools option from the Virtual Machine menu.","Note: If you revert to a snapshot that was made when you had an earlier version of Parallels Tools in your virtual machine, you will also be offered to update them.","If Parallels Tools are up-to-date but you want to reinstall them, select the Reinstall Parallels Tools option from the Virtual Machine menu.","In a Linux guest OS","After you update the Parallels Server application, you should manually update Parallels Tools:","Before updating Parallels Tools, perform the following actions:","Close all applications in the guest operating system.","Disable the 3D accelerated window manager if you use any.","To update Parallels Tools:","Start the virtual machine.","When the guest OS boots up, choose Update Parallels Tools from the Virtual Machine menu. This will connect the prl-tools-lin.iso image to your virtual machine's CD/DVD-ROM.","Follow the steps (from Step 3) described in Installing Parallels Tools in Linux. However, when asked whether to upgrade or remove Parallels Tools, select Upgrade and click Next.","In Mac OS X","After you update the Parallels Server application, you should manually update Parallels Tools:","Start the virtual machine.","When the guest OS boots up, choose Update Parallels Tools from the Virtual Machine menu. This will connect the prl-tools-mac.iso image to your virtual machine's CD/DVD-ROM.","Open the Parallels Tools CD-ROM mounted on the virtual machine's desktop and double-click the Install icon.","Specify your name and password when prompted.","In the Welcome window, click Continue.","In the Select a Destination window, specify where Parallels Tools will be installed and click Continue.","In the Standard Install on &quot;Macintosh HD&quot; window, click Install. Specify your name and password when prompted.","When the updating is complete, click Restart to quit the installer and restart your virtual machine.","Updating Parallels Tools","30524.htm");
Page[56]=new Array("Parallels Tools can be removed through a general procedure of removing applications from the operating system installed in your virtual machine.","Removing from a Windows guest OS","Start the virtual machine and log in to the guest OS.","From the Windows Start menu, choose Control Panel &gt; Add or Remove Programs. In Windows Vista, choose Control Panel &gt; Programs and Features. In Windows 7, choose Control Panel &gt; Programs &gt; Programs and Features.","Select Parallels Tools in the list and click Remove.","When Parallels Tools are removed, restart the guest operating system.","Removing from a Linux guest OS","Perform the following actions before removing Parallels Tools:","Close all applications in the guest operating system.","Disable the 3D accelerated window manager if you use any.","To remove Parallels Tools:","Start the virtual machine.","To remove Parallels Tools, you should connect and mount the prl-tools-lin.iso image and launch Parallels Tools Installer. See Installing Parallels Tools in a Linux Guest OS for detailed information how you can do it.","Follow the Parallels Tools Installer instructions. When prompted to choose the action to perform, select Remove and press Enter.","When Parallels Tools are successfully removed, press Enter to close the window.","Removing from Mac OS X","Start the virtual machine, and log in to the guest OS.","To remove Parallels Tools, you should connect and mount the prl-tools-mac.iso image and launch Parallels Tools Installer. See Installing Parallels Tools in Mac OS X for detailed information how you can do it.","Open the mounted image of the disc and double-click the Uninstall Parallels Tools icon to start the uninstallation.","In the Welcome window, click Uninstall. Enter the password when prompted.","In the Uninstallation window, you can see the process of Parallels Tools being removed from the virtual machine.","In the Uninstallation Completed window, click Restart to finish the uninstallation and quit the assistant.","Removing Parallels Tools","30525.htm");
Page[57]=new Array("If you already have a virtual machine, but it is missing from the list of virtual machines registered in Parallels Management Console, you can add it to this list using Add Existing Virtual Machine Assistant (or Add Existing Virtual Machine Wizard if Parallels Management Console is installed on a Windows or Linux computer).","To add an existing virtual machine to the list of registered virtual machines:","Choose Add Existing from the File menu to launch Add Existing Virtual Machine Wizard.","In the Introduction window, click Next. If you do not want the Introduction window to appear in future, select Always skip introduction.","In the Select a Virtual Machine window, locate the virtual machines you want to add to the list:","You can set the path to a specific virtual machine's configuration file (config.pvs). Select the Add a specific virtual machine option, and type the path in the File field or click the Choose button and navigate to the necessary file. Click Add and go to Step 5.","You can find all virtual machines in a specific folder. Select the Search for virtual machines in this folder option, type the path to the necessary folder in the Start from field or click the Choose button, and navigate to it. Click Search.","If you chose Search for virtual machines in this folder, the wizard displays all unregistered virtual machines it could find in the specified folder. Select the virtual machines you want to add. You can use the Select All @ and Clear All @ buttons at the bottom of the window to select and deselect all virtual machines at once.","Review the selection, and click Add.","Click Finish to exit the assistant.","Adding an Existing Virtual Machine","30514.htm");
Page[58]=new Array("This chapter explains how to start, stop, suspend or pause a virtual machine. It also provides the information on actions you can perform with the virtual machine while the guest operating system is running.","Working in a Virtual Machine","23502.htm");
Page[59]=new Array("Starting a Virtual Machine","To start a virtual machine, do one of the following:","Click the Start button @ in the toolbar.","Choose Start from the Virtual Machine menu.","Right-click the virtual machine in the sidebar and choose Start from the shortcut menu.","Click Start in the Operations section of the virtual machine's Summary tab.","After starting the virtual machine, it will boot into the guest operating system installed in this virtual machine. If no guest operating system is installed, you will see the following message: &quot;No boot device is available...&quot;.","Notes: 1. The virtual machine can be powered on only if you activated the Parallels server, to which this virtual machine belongs. For details, refer to Activating a Parallels Physical Server.","2. It is not recommended that you start your virtual machines from an external storage device. This may result in low performance and unsteady operation.","Shutting Down a Virtual Machine","To shut down a virtual machine, do one of the following:","Click the Shut Down button @ in the toolbar.","Choose Shut Down from the Virtual Machine menu.","Right-click the virtual machine in the sidebar and choose Shut Down from the shortcut menu.","Click Shut Down in the Operations section of the virtual machine's Summary tab.","Starting a Virtual Machine and Shutting It Down","29864.htm");
Page[60]=new Array("Starting and shutting down virtual machines may take a considerable amount of time. Instead of performing these operations, you can suspend or pause a virtual machine for the required time and quickly resume it later.","Note: Close the Virtual Machine Configuration dialog before changing the virtual machine state.","Suspending a Virtual Machine","Suspending a virtual machine is similar to putting a real computer into the sleep mode. When you suspend a virtual machine, you save its current state (including the state of all applications and processes running in the virtual machine) to a special file on the host computer. When the suspended virtual machine is resumed, it continues operating at the same point the virtual machine was at the time of its suspending.","Suspending your virtual machine may prove efficient if you need to restart the host computer, but do not want to:","quit the applications running in the virtual machine","spend much time on shutting the guest operating system down and then starting it again","To suspend a virtual machine, do one of the following:","choose Suspend from the Virtual Machine menu","click the Suspend button @ in the toolbar","Note: You can view the configuration of the suspended virtual machine in the read-only mode. To be able to modify the suspended virtual machine configuration, you should stop the virtual machine.","To resume a suspended virtual machine, click the Resume button @ in the toolbar or choose Resume from the Virtual Machine menu.","Pausing a Virtual Machine","Pausing a virtual machine releases the resources, such as RAM and CPU, currently used by this virtual machine. The released resources can then be used by the Parallels server and its applications or by other virtual machines running on the Parallels server.","Note: Only the amount of RAM used by the guest OS will be released. The memory used by the Parallels Server application will still be locked.","To pause a virtual machine, do one of the following:","click the Pause button @ in the toolbar","choose Pause from the Virtual Machine menu","When a virtual machine is paused, its window is grayed out. To continue running the virtual machine, click the Resume button @ in the toolbar or choose Resume from the Virtual Machine menu.","Parallels Server is designed to operate like an ordinary computer application. This means that you do not have to change the virtual machine state from running to paused, suspended, or stopped before putting the Parallels server to sleep. In the sleep mode, the Parallels server does not allocate any resources to the running applications (including Parallels Server and all virtual machines) so that they are stopped automatically. As you start the Parallels server, all the applications are automatically up and running again.","Suspending and Pausing a Virtual Machine","29870.htm");
Page[61]=new Array("Stopping a Virtual Machine","If the guest operating system cannot be shut down correctly, you can forcibly stop the virtual machine by doing one of the following:","clicking the Stop button @ in the toolbar","choosing Stop from the Virtual Machine menu","Warning: If you forcibly stop a virtual machine, you may lose all unsaved data.","Resetting a Virtual Machine","If some program error has caused your virtual machine to hang, you may wish to reset it.","To reset a virtual machine, do one of the following:","Click the Reset button @ in the toolbar. If this button is absent from the toolbar, refer to the Customizing Toolbar subsection of Parallels Management Console User's Guide.","Choose Reset from the Virtual Machine menu.","Warning: If you reset a virtual machine, you may lose all unsaved data.","Stopping and Resetting a Virtual Machine","28979.htm");
Page[62]=new Array("To start working in a virtual machine, you need first to capture the keyboard and mouse input in the virtual machine. To this effect:","move the mouse pointer over the virtual machine window","click in the window","When the keyboard and mouse input is captured in the virtual machine, you cannot move the pointer out of the virtual machine window and all keystrokes and button clicks go to the virtual machine. To release the keyboard and mouse back, press Ctrl+Alt. The keyboard and mouse will be released immediately.","Note: You can change the key combination for releasing the keyboard and mouse input using the Keyboard pane of the Preferences dialog.","If you want to automatically capture and release the keyboard and mouse input, you should install Parallels Tools in your virtual machine. After the Parallels Tools installation, you can capture and release the mouse and keyboard input more easily:","click anywhere in the virtual machine window to capture the input","click anywhere outside the virtual machine window to release the input.","Capturing and Releasing the Keyboard and Mouse","22259.htm");
Page[63]=new Array("When working in a virtual machine, you can apply any of the main Windows and Linux shortcuts to your virtual machine with the help of the Keyboard icon @ in the virtual machine status bar. Just click the icon and select the desired key combination from the drop-down list. The corresponding action will take place in the guest operating system.","Keyboard Shortcuts in a Virtual Machine","29879.htm");
Page[64]=new Array("Parallels Management Console provides a number of view modes to make your work with virtual machines more comfortable and efficient:","Window mode. This is the default view mode in which the virtual machine screen is displayed in the Parallels Management Console window. The window contains the following panes:","Summary. This pane provides basic information on the virtual machine and access to the Virtual Machine Configuration dialog. The Summary pane also contains buttons for the most frequent commands used to start, stop, and otherwise manage the virtual machine.","Console. In this pane, you can interact with the running virtual machine via its guest OS window.","Performance. In this pane, you can view the virtual machine CPU, memory, hard disk, and network usage when the virtual machine is running.","The Backup tab lists all virtual machine backups. It also contains the controls allowing you to create a new backup.","Full Screen mode. In this mode the virtual machine screen is expanded to occupy the whole of your physical computer screen.","Switching to the Full Screen Mode","You can run a guest operating system in the Full Screen mode when the guest operating system window occupies the whole screen and all controls are hidden.","To switch to the Full Screen mode, do one of the following:","Click the Full Screen button @ in the Parallels Management Console toolbar.","Choose Full Screen from the View menu.","Note: The default hot key combinations can be configured in the Keyboard pane of the Preferences dialog.","To return to the Window mode, press the appropriate hot key combination (Ctrl+Alt+Enter by default).","Detaching the Console Pane","In this version of Parallels Management Console, you can detach the Console pane of your running virtual machine from the Parallels Management Console window and work with it in a separate window.","To detach the Console pane, do one of the following:","Choose Detach Console from the View menu.","Click the Detach Console button @ in the Parallels Management Console toolbar.","Note: If this button is missing from the toolbar, you can add it by customizing the toolbar.","If you want the Console pane to join the virtual machine window again, do one of the following:","choose Attach Console from the View menu","click the Attach Console button in the Parallels Management Console toolbar","close the separate Console window","Locking the guest OS screen resolution","The virtual machine screen resolution can be changed in the following situations:","When you adjust the guest OS display settings.","When you resize the virtual machine window (this feature works only when Parallels Tools are installed in your virtual machine).","When you run an application that automatically changes the screen resolution of your guest OS.","This behaviour of the virtual machine window can be irritating. To freeze the virtual machine screen resolution, use the Lock Window option available from the View menu. When the Lock Window option is enabled, the virtual machine screen resolution can be changed by adjusting the guest OS display settings only.","Switching to the Coherence Mode","The Coherence mode provides the highest level of integration between the host and the guest operating systems. In this mode, you can have any applications running under these operating systems on one desktop. For more information on the Coherence mode, see Working in the Coherence Mode.","To switch a running virtual machine to operate in the Coherence mode, do one of the following:","Click the Coherence button @ in the Parallels Management Console toolbar.","Select Coherence from the View menu.","To exit Coherence, click the Parallels Management Console tray icon and choose Exit Coherence.","Changing the View Mode","22388.htm");
Page[65]=new Array("Parallels Management Console allows you to connect or disconnect certain devices at runtime or switch some of them for using other media.","Generally, the following virtual devices can be connected or disconnected at runtime:","CD/DVD-ROM drive","Floppy disk drive","Network adapter","Printer port","Serial port","Sound device","USB device","Shared folders","You can configure any of these devices in one of the following ways:","You can configure any of these devices in one of the following ways:","Use the necessary command from the Devices menu in the menu bar. This menu is available only when the virtual machine is running.","Click a device icon on the status bar and choose the command from a device shortcut menu.","The status bar displays the devices information when the virtual machine is running.","Drag an image file (*.iso or *.fdd) or a shared folder on the appropriate device icon in the status bar. This option is available only for CD/DVD-ROM drives, floppy drives and shared folders.","Connecting a CD/DVD-ROM or a Floppy Drive","If you have several CD/DVD-ROM drives connected to your virtual machine, in the Devices menu they are listed in the same order as they were connected. The first CD/DVD-ROM drive will be CD/DVD-ROM 1, the second will be CD/DVD-ROM 2, and so on.","Connecting a Network Adapter","You can connect the network adapter to any virtual network created on the Parallels server. If you have several network adapters used by the virtual machine, on the status bar and in the Devices menu they are listed in the same order as they were connected. The first network adapter will be Network Adapter 1, the second will be Network Adapter 2, and so on.","Connecting a Printer Port","To connect or disconnect a printer port or to connect a printer or an output file to a printer port, do the following:","Click the Devices menu, select the corresponding printer port, and choose the appropriate command from the displayed menu.","Right-click the printer port icon @ in the status bar to display the shortcut menu and choose the appropriate command.","Connecting a Serial Port","To connect or disconnect a serial port, do the following:","Click the Devices menu, select the corresponding serial port, and choose the appropriate command from the displayed menu.","Right-click the serial port icon @ in the status bar to display the shortcut menu and choose the appropriate command.","Connecting a Sound Device","To connect or disconnect a sound device, choose the Activate or Mute options respectively. You can also choose the type of output and input devices.","Connecting a USB Device","Parallels Management Console automatically detects all USB devices plugged into the Parallels server. The devices that are currently connected to the virtual machine appear in the list from the Device menu. You cannot use a USB device in the Parallels server operating system while it is being used by the virtual machine.","Connecting a Shared Folder","The Shared Folders options available at runtime are similar to the settings in the Virtual Machine Configuration dialog.","You can","share all disks of the Parallels server or Home Folder only with the virtual machine","add a new shared folder","Changing Configuration at Runtime","22296.htm");
Page[66]=new Array("Shared folders are folders in the host computer operating system that are visible to the guest OS too. These folders can be used for exchanging files between the host computer operating system and a virtual machine or between several virtual machines.","In the host computer operating system shared folders appear as usual folders, while in the guest OS they are objects of the network neighborhood.","Using shared folders is possible for the supported Windows and Linux guest operating systems with Parallels Tools installed.","Using Shared Folders","30509.htm");
Page[67]=new Array("Setting up a shared folder requires two steps:","Installing Parallels Tools in the guest OS. The Shared Folders tool is require for viewing the shared folders in the guest OS. See Using Parallels Tools.","Adding one or more shared folders to the virtual machine configuration.","Adding a Shared Folder","Open the Virtual Machine Configuration dialog by choosing Configure from the Virtual Machine menu.","In the Virtual Machine Configuration dialog, select the Options tab and click the Shared Folders pane (see Shared Folders Settings).","Click the @ button to open the Shared Folder Properties window.","In the Shared Folder Properties window:","Make sure the Enabled option is selected.","In the Path field, type the path to the folder you want to share with the virtual machine. You can also click the Path field and use the Choose a folder button to locate the folder.","In the Name field, type the shared folder name under which the folder will be accessible from inside the virtual machine.","In the Description field, you can provide a brief description for the shared folder.","Select the Read-only option if you want the shared folder to have a read-only status when accessed from inside the virtual machine.","Click OK.","Click OK in the Virtual Machine Configuration dialog to save the settings.","Setting Up a Shared Folder","30510.htm");
Page[68]=new Array("There are three ways to view the contents of the shared folders in the guest OS.","Easy Way 1","Click the Parallels Shared Folders icon on the desktop of the running guest OS and you will see all your shared folders.","Easy Way 2","If you select Map folders to drive letters in the Shared Folders pane of Virtual Machine Configuration, shared folders will be displayed as new disks with drive letters assigned every time you open up My Computer in the guest operating system.","General Way","In the virtual machine, open Windows Explorer.","In Explorer, select My Networks Places, then select Entire Network, and find Parallels Shared Folders.","Click Parallels Shared Folders to view the list of shared folders available in your virtual machine.","Note: To be able to write to a shared folder inside a virtual machine, make sure that the Read Only check box for this folder is cleared in the Virtual Machine Configuration dialog.","Viewing Shared Folders in Guest OS","23702.htm");
Page[69]=new Array("If you want to make a screenshot of the guest operating system when it is running, choose Make Screenshot from the View menu. The first screenshot file will be named Parallels Picture.png and placed on the desktop of the client computer. The next screenshots will have the same name with an appropriate number added.","Making Guest OS Screenshots","29881.htm");
Page[70]=new Array("The Virtual Machine Configuration dialog allows you to edit the virtual machine settings and the devices it uses. This chapter provides instructions on how to use the Virtual Machine Configuration dialog.","Configuring Virtual Machines","30025.htm");
Page[71]=new Array("With the help of the Virtual Machine Configuration dialog, you can edit the settings of the virtual machine and the devices it uses.","To open the Virtual Machine Configuration dialog, do one of the following:","Double-click the virtual machine icon in the sidebar of the Parallels Management Console main window.","Click Configure on the virtual machine Summary page.","Choose Configure from the Virtual Machine menu.","Right-click the virtual machine in the sidebar and choose Configure from the shortcut menu.","The Virtual Machine Configuration dialog consists of two panes:","The sidebar that displays virtual machine options and devices available for editing.","The settings pane that displays the settings for the device or option selected in the sidebar.","Note: To view or edit some settings, the Show advanced settings check box must be selected.","To add a device to the virtual machine configuration, click the Add button @.","Note: This button is available only when the virtual machine is shut down.","To remove a device from the list, select it in the sidebar and click the Remove button @.","Note: This button is available only when the virtual machine is shut down and the device that can be removed is selected.","For details on adding and removing devices, see Adding and Removing Devices.","Editing Virtual Machine Configuration","29841.htm");
Page[72]=new Array("To view and edit the virtual machine general settings, use the General pane of the Virtual Machine Configuration dialog.","VM Name. This field displays the virtual machine name. The length of the name is limited to 50 characters. This name is displayed in the virtual machine Summary pane.","OS Type. This field displays the type of the operating system installed in the virtual machine or declared to be installed in future.","OS Version. This field displays the version of the operating system installed in the virtual machine or declared to be installed in future.","Note: The operating system version specified in this field must be the same as the one actually installed in your virtual machine.","Description. You may type a short description for the virtual machine in this field. This description will be displayed in the virtual machine Summary pane.","Using the host computer's SMBIOS data","Some applications may require the computer hardware characteristics. The host computer BIOS saves this information in the SMBIOS tables. These tables can be easily reached and processed by different applications. You can copy the SMBIOS tables from the host computer to the guest OS by choosing the Use the host computer's SMBIOS data option.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","General Settings","29772.htm");
Page[73]=new Array("To set the boot sequence for your virtual machine, use the Boot Order pane of the Virtual Machine Configuration dialog.","When the virtual machine starts, it can use one of these boot devices:","Hard Disk. Select this device if you want the virtual machine to boot up from its virtual hard disk.","CD/DVD. Select this device if you want the virtual machine to boot up from the media connected to its CD/DVD-ROM drive.","Note: The virtual machine will use the CD/DVD-ROM specified as CD/DVD-ROM 1 in the virtual machine configuration.","Floppy Disk. Select this device if you want the virtual machine to boot up from the media connected to its floppy disk drive.","Network Adapter. Select this device if you want the virtual machine network adapter to use a PXE server for booting.","Note: The virtual machine will use the network adapter specified as Network Adapter 1 in the virtual machine configuration.","When the virtual machine starts up, it is trying to boot from the device that appears as the first device in this list. If the device has no media or it is not bootable, the virtual machine proceeds to the next device in the sequence, and so on.","To change the booting sequence, select a device and move it using the arrows.","To remove a device from the sequence, clear the check box next to its name.","The Show advanced settings check box selected, you can enable the Select boot device on startup option. If you choose this option, you will see the following message at the virtual machine startup: &quot;Press ESC to select boot device&quot;. If you press ESC pending 5 seconds, you will be able to select a boot device. If you do not press ESC, the virtual machine will try to boot from the devices specified in the Boot order list.","Note: Make sure that the device you wish to use for your virtual machine booting (hard disk drive, CD-ROM drive, floppy disk drive, or network adapter) is available to the virtual machine and configured properly. If you do not have any boot devices configured in your virtual machine, you will see the following error message after you start the virtual machine: &quot;No boot device is available&quot;. In this case, you should stop the virtual machine and configure at least one boot device for it.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Boot Order Settings","29775.htm");
Page[74]=new Array("In the Optimization pane of the Virtual Machine Configuration dialog, you can configure the settings related to the virtual machine performance.","Optimizing Performance","Virtual machine. Select this option to allocate more physical computer memory resources to the virtual machine and its applications. Selecting this option may significantly increase the virtual machine performance; however, it may slow down the productivity of your host computer applications.","Host computer. Select this option to allocate more memory resources to the host computer and its applications.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Optimization Settings","29835.htm");
Page[75]=new Array("To manage the virtual machine permissions, use the Permissions pane of the Virtual Machine Configuration dialog.","Sharing the virtual machine with other users","To specify other users' access rights for the virtual machine, choose one of the following from the Allow other users to menu:","No Access. If you select this option, other users will have no access to the virtual machine.","View. If you select this option, other users will be able to add this virtual machine to the virtual machines list and view its console. They will not be able to start, stop or otherwise control this virtual machine.","View and run. If you select this option, other users will be able to control the virtual machine and work in it. They will not be able to change the virtual machine configuration.","View, run and configure. If you select this option, other users will be able to perform any operations on the virtual machine and its files.","Permissions Settings","29778.htm");
Page[76]=new Array("To manage the virtual machine startup and shutdown settings, use the corresponding pane of the Virtual Machine Configuration dialog.","Changing the user account for the virtual machine","To be able to change the user account, enable the Start the virtual machine with this user account option.","Choose between the following accounts:","The local system account. The account allows you to run the virtual machine with the administrator's rights.","This user. You will run the virtual machine under the specified account.","Selecting actions to perform on powering on and off the host computer","On Host Startup. Select the operation the virtual machine should do when you start up the host computer: do nothing, start, or resume from the previous state. You may use the Startup Delay field to set the delay time interval for the virtual machine.","On Host Shutdown. Select the operation the virtual machine should do when you shut down the host computer: stop, suspend or shutdown.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Startup and Shutdown Settings","29782.htm");
Page[77]=new Array("To enable the virtual machine display sharing, use the Remote Display pane of the Virtual Machine Configuration dialog.","You can share the virtual machine desktop using VNC protocol.","To enable the virtual machine display sharing, select the Enabled option.","Host IP address. In this field, type the host computer IP address.","Port. In this field, you can set the TCP port for the virtual machine. VNC protocol uses ports 5900 through 5906.","Password. If you want to specify a password for viewing the virtual machine desktop, type it in this field.","Note: If you start the virtual machine with the remote display disabled, you cannot change this option when the virtual machine is running.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Remote Display Settings","29785.htm");
Page[78]=new Array("To manage the Parallels Tools settings, use the Services pane of the Virtual Machine Configuration dialog.","Updating Parallels Tools","If you select the Allow automatic Parallels Tools updates option, Parallels Tools in your virtual machines will be automatically updated after you update Parallels Server. If you leave this option clear, Parallels Tools will not be automatically updated after Parallels Server updates. To update Parallels Tools when automatic updates are disabled, use the Update Parallels Tools option available in the Virtual Machine menu.","Synchronizing Mouse and Keyboard","Select the Automatically capture and release the mouse pointer option to easily switch the keyboard and mouse input between the virtual machine and your client computer.","Synchronizing Clipboard","To exchange texts between the virtual machine and your computer, enable the Share Clipboard option.","Synchronizing Time","Select the Synchronize time with the host computer option to synchronize the virtual machine time settings with the host computer time settings. You may specify the frequency of time synchronization checks in the Synchronize every field.","If the time zone specified for your virtual machine differs from the host computer time zone, you can maintain this time difference by selecting Allow a different time than on the host computer.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Services Settings","29788.htm");
Page[79]=new Array("To manage shared folders and their settings, use the Shared Folders pane of the Virtual Machine Configuration dialog.","When you share the host computer disks or folders with a virtual machine, they still reside and occupy space on the host computer hard disk.","Sharing Host Computer Disks to Virtual Machine","Select the Share the host computer's folders with the virtual machine and All disks options to provide the virtual machine with access to:","all disks available on Macs running Parallels Server for Mac or physical computers running Parallels Server Bare Metal.","Sharing Host Computer Home Folder","Select the Home folder only option if you want to access the host computer Home folder from the virtual machine.","Specifying Host Computer Folders to Be Shared","Select the User-defined folders option to specify the host computer folders to be shared with the virtual machine.","To add a folder, use the Add button @. The Shared Folder Properties dialog will open. In this dialog, specify the following settings and click OK:","Enabled. Select this option to enable the shared folder.","Path. In this field, type the path to the folder you want to share with the virtual machine. You can use the Choose button to locate the folder.","Name. In this field, type the shared folder name that will appear in the virtual machine.","Description. In this field, you may type a brief description for this shared folder.","Read-only. Select this option if you want this shared folder to have a read-only status when accessed from the virtual machine.","To remove a shared folder, select it and click the Remove button @.","For more information about shared folders, see Using Shared Folders.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Shared Folders Settings","29792.htm");
Page[80]=new Array("In the SmartGuard pane of the Virtual Machine Configuration dialog, you can set up the automatic creation of snapshots. You can find detailed information on snapshots and how to work with them in the Working with snapshots section.","Note: You cannot create a snapshot manually or automatically or revert to a snapshot when your virtual machine is paused.","The SmartGuard functionality allows you to back up your virtual machine automatically.","To enable SmartGuard, select the Enabled option at the top of the SmartGuard pane.","If you want to know when it is time to make the next snapshot and to be able to reject the snapshot creation, enable the Notify me before snapshot creation option.","Setting Time Interval","Set how often snapshots should be made in the Interval for taking a new snapshot field. You can set from one hour to 48 hours.","If the time interval is less than 24 hours, SmartGuard will allow you to restore the latest hourly, daily and weekly snapshot. If the time interval is more than 24 hours, you will be able to restore the latest daily, weekly and monthly snapshot.","To manage the snapshots and restore any of them, use Virtual Machine Snapshots.","Restricting Snapshots Number","Use the Maximum number of snapshots to keep field to set the maximum number of snapshots that can be stored on the host computer. The maximum available value is 100 snapshots. As soon as Virtual Machine Snapshots reaches the limit for snapshots and needs to make a new one over the limit, it deletes the oldest snapshot.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","SmartGuard Settings","29839.htm");
Page[81]=new Array("To view and edit the virtual machine CPU settings, use the CPU pane of the Virtual Machine Configuration dialog.","In the Number of CPUs field, you can set the number of host computer CPUs the virtual machine can use. The maximum allowable number of virtual CPUs depends on the number of physical CPU cores available to the host computer. For example, if you have the Core 2 Duo physical processor, the maximum allowable number of virtual CPUs will be 2. However,in any case, you will not be able to set more than 8 virtual CPUs to a virtual machine.","In the Hardware Virtualization field, you can view the type of virtualization technology used by the virtual machine to emulate the hardware.","System Flags. The flags you type here will change the virtual machine system behavior.","Note: System flags can be used by the Parallels customer support team in cases when something goes wrong in your virtual machine. It is not recommended to type anything into this field without being instructed to do so by the customer support staff.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","CPU Settings","29797.htm");
Page[82]=new Array("To set the amount of RAM available to the virtual machine, use the Memory pane of the Virtual Machine Configuration dialog.","In the Main memory field, you can set the amount of RAM that will be available to the virtual machine. You can choose any available value, but it is recommended that you set the value provided in the Recommended range field below the slider.","By default, the optimal size is the amount of RAM the guest operating system requires. If some of the applications installed in your virtual machine need more RAM, you can set a greater amount of RAM for this virtual machine, provided the memory resources of the host computer are enough for running both the primary operating system and this virtual machine.","Note: If the host computer has 1 GB of RAM, it is strongly recommended to assign not more than 512 MB to a single virtual machine.","To set the required value for this type of memory, do one of the following:","drag the slider","use the spin box arrows","type the value directly into the Main memory field","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Memory Settings","29802.htm");
Page[83]=new Array("To set the amount of video memory available to the virtual machine video card, use the Video pane of the Virtual Machine Configuration dialog.","In the Video memory field, you can set the amount of video memory that will be available to the virtual machine. You can specify any value from 2 to 256 MB; however, we recommend that you choose the value from the range given in the Recommended size field below the slider. This will provide the most optimal performance for your virtual machine and the physical computer where this virtual machine is hosted.","The Maximum screen resolution field shows the maximum screen resolution that will be supported in the virtual machine with the specified amount of video memory.","To configure the video memory limit, do one of the following:","drag the slider","use the spin box arrows","type the value directly into the Video memory field","Keeping the Virtual Machine's Screen Resolution in Full Screen Mode","When you switch the virtual machine to the Full Screen mode, its screen resolution:","changes to the client computer screen resolution if you have Parallels Tools installed","Note: If dynamic resolution does not work when switching to Full Screen mode in virtual machines with Linux guest operating system installed, increase the amount of video memory available to the virtual machine's video card up to 16 MB.","remains the same.","To always keep the virtual machine's screen resolution in the Full Screen mode, select the Keep the virtual machine's screen resolution in full screen option. With this option selected, if the virtual machine's screen resolution is, for example, 1280x1024 in the Window mode, it will also be 1280x1024 in the Full Screen mode.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Video Settings","29805.htm");
Page[84]=new Array("To view and edit the virtual machine floppy disk drive settings, use the Floppy Disk pane of the Virtual Machine Configuration dialog.","Enabled. Select this option to enable floppy disk drive operations in the virtual machine. To temporary disable floppy drive operations without removing the floppy drive from the virtual machine configuration, clear this option.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Connected. Select this option if you want the floppy disk drive or floppy disk image to be automatically connected to the virtual machine on its startup.","You can choose one of the following devices to emulate the virtual machine floppy disk drive:","To use a real floppy disk drive, select Real Device and specify the device to use.","To use a floppy disk image, select Image File and specify the path to the floppy disk image file in the File field. You can also use the Choose button to locate the file.","If you want to create a new floppy disk image or to replace the currently used floppy disk image by a blank floppy disk image, click the Recreate button.","Warning: Recreating the current floppy disk image deletes all the data stored on this disk image.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Floppy Disk Settings","29808.htm");
Page[85]=new Array("To view and configure the virtual hard disk settings, use the Hard Disk pane of the Virtual Machine Configuration dialog. Hard disk images are in the .hdd format.","Note: You can connect up to four IDE devices (hard disks or CD/DVD drives) and 15 SCSI devices to a virtual machine. Each device is listed separately in the Virtual Machine Configuration dialog and has its own number.","Select the Enabled option if you want the virtual machine to use this hard disk drive. To temporarily disable operations with the hard disk without removing it from the virtual machine configuration, clear the Enabled check box.","To use a hard disk image file as a virtual hard disk:","Type the path to the hard disk image file in the File field or use the Choose button to locate the file.","Select the Show advanced settings option if it is not selected and choose the interface type for connecting the hard disk image. Two types are available:","IDE. Using this interface type, you can connect up to four virtual devices (hard disks or CD/DVD-ROM drives) to the virtual machine.","SCSI. Using this interface type, you can connect up to 15 virtual devices (hard disks or CD/DVD-ROM drives) to the virtual machine.","Note: In some Linux distributions (e.g. RHEL 5.3), the SCSI driver may be not installed. In this case, you should install this driver in your Linux guest OS to be able to use the SCSI controller.","Select the device location in the Location list.","Note: The SCSI 7:0 location is not available for selecting, since it is occupied by the SCSI controller itself.","Click OK.","Note: The Interface and Location options are available only if the Show advanced settings check box is selected at the bottom of the Virtual Machine Configuration dialog.","Resizing virtual hard disks","To reduce or increase the virtual hard disk size, use the Resize button. If you click this button, the following window will be displayed:","To reduce the virtual hard disk size, you can do one of the following:","Note: Reducing dynamic disks is not supported.","If the virtual hard disk image is blank, specify the new size and click OK.","If the virtual hard disk already has a file system, specify the new size, select Resize file system, and click OK.","To increase the virtual hard disk size, you can do one of the following:","If the virtual hard disk image is blank, specify the new size and click OK.","If the virtual hard disk already has a file system, specify the new size and click OK. In this case, the added space will be unallocated. You will have to create a logical drive or a partion on the unallocated space and then format the newly created drive or partition.","If the virtual hard disk already has a file system, specify the new size, select Resize file system, and click OK. In this case, you will not have to format the added space and it will be available to the existent drive.","If the virtual hard disk is dynamic, specify the new size and click OK. You will have to format the newly added space manually.","Note: When increasing the dynamic virtual hard disk size, make sure the Resize file system option is not selected.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Hard Disk Settings","29810.htm");
Page[86]=new Array("This section lists the types of disks that can be used by Parallels virtual machines and provides the information about basic operations that you can perform with these disks.","Supported Types of Hard Disks","Parallels virtual machines use virtual hard disks as their hard disks.","Virtual Hard Disks","The capacity of a virtual hard disk can be set from 100 MB and up to 2 TB.","Virtual hard disks can be of either plain, or expanding format. When you create a virtual machine in Express Windows or Express Linux, or Typical mode (in New Virtual Machine Wizard), the disk is created in the expanding format.","plain","A plain virtual hard disk image file is stored on the Parallels server and has a fixed size. The size is determined when such a disk is created. Plain disks can be created with the help of New Virtual Machine Wizard (the Custom mode.)","expanding","An expanding virtual hard disk image file is stored on the Parallels server and is small initially. Its size grows as you add applications and data to the virtual hard disk in the guest OS.","Split disks","A virtual disk of either format can be a single-piece disk or a split disk. A split disk is cut into 2 GB pieces and is stored as a single .hdd file.","CD/DVD Discs and Their Images","A virtual machine can access real CD/DVD discs and images of CD/DVD discs.","There are no limitations on using multisession CD/DVD discs. Virtual machines can play back audio CDs without any limitations on copy-protected discs.","Parallels virtual machines support CD/DVD disc images in the ISO and DMG formats. They may also support CD/DVD disc images in the CUE and CCD formats.","Floppy Disks and Floppy Disk Images","Parallels virtual machines can use two types of floppy disks:","Real diskettes inserted into a real floppy disk drive that is connected to the virtual machine.","Floppy disk image files with the .fdd extension connected to the virtual machine.","Floppy disk images are treated like real diskettes. Virtual machines support floppy disk image files that have .fdd extension and 1.44 MB size.","Note: Parallels Management Console cannot create images of real diskettes.","Support for Virtual and Real Disks","30498.htm");
Page[87]=new Array("To configure the virtual machine CD/DVD-ROM drive settings, use the CD/DVD-ROM pane of the Virtual Machine Configuration dialog. Virtual CD/DVD-ROM drives can be connected either to physical CD/DVD-ROM drives or to CD/DVD images. The real device and the image file can belong both to the host and the client computers.","Note: You can connect up to four IDE devices (hard disks or CD/DVD drives) and 15 SCSI devices to a virtual machine. Each device is listed separately in the Virtual Machine Configuration dialog and has its own number.","Select the Enabled option if you want the virtual machine to use this CD/DVD-ROM drive. To temporarily disable operations with the CD/DVD-ROM drive without removing it from the virtual machine configuration, clear the Enabled check box.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Select the Connected option if you want the CD/DVD-ROM drive to be automatically connected to the virtual machine on its startup. ","To emulate the virtual CD/DVD-ROM drive, you can connect one of the real CD/DVD-ROM drives on your physical computer or a CD/DVD-ROM image file to the virtual machine.","Note: Parallels virtual machines support ISO and DMG image files and may support CUE and CCD image files.","Connecting Real Device","To use a real device as the virtual machine CD/DVD-ROM drive:","Select the Real Device option.","Select the computer that hosts the device from the Placement list.","Host Computer. Select this option if you want to use the real device located on the host computer.","Client Computer. Select this option if you want to use the real device located on the client computer.","Specify the device to connect by choosing it from the CD/DVD-ROM list.","Select the Show advanced settings option if it is not selected and choose the type of interface to connect the device. Two types are available:","IDE. Using this interface type, you can connect up to four virtual devices (hard disks or CD/DVD drives).","SCSI. Using this interface type, you can connect up to seven virtual devices (hard disks or CD/DVD drives).","Note: Red Hat Linux Enterprise 5 guest OS does not support the SCSI controller.","Select the device position in the Location list.","Select the Passthrough option to connect your real CD/DVD-ROM drive to the virtual machine in the passthrough mode. In this mode, the CD/DVD-ROM drive is directly assigned to the virtual machine. If you connect a recordable optical drive to a virtual machine in the passthrough mode, you will be able to use it to burn CD or DVD discs in the virtual machine.","Note: If you select the Passthrough option, the physical computer will have no access to this CD/DVD-ROM drive.","Click OK to apply the settings and close the Virtual Machine Configuration dialog.","Note: The Interface, Location, and Passthrough options are available only if the Show advanced settings check box is selected at the bottom of the Virtual Machine Configuration dialog.","Connecting Image File","To use an image file as the virtual machine CD/DVD-ROM drive:","Select the Image File option.","Select the computer that hosts the image file from the Placement list.","Host Computer. Select this option if you want to use the image file located on the host computer.","Client Computer. Select this option if you want to use the image file located on the client computer.","Type the path to the image file in the File field. You may use the Choose button to locate the file.","Select the Show advanced settings option if it is not selected and choose the type of interface to connect the image file. Two types are available:","IDE. Using this interface type, you can connect up to four virtual devices (hard disks or CD/DVD drives).","SCSI. Using this interface type, you can connect up to seven virtual devices (hard disks or CD/DVD drives).","Note: Red Hat Linux Enterprise 5 guest OS does not support the SCSI controller.","Select the position in the Location list.","Click OK to apply the settings and close the Virtual Machine Configuration dialog.","You can also connect an image file using the Device menu or the CD/DVD-ROM icon in the status bar. To connect an image, select the CD/DVD-ROM icon in the status bar and choose Connect Image.","CD/DVD-ROM Settings","29825.htm");
Page[88]=new Array("The Network Adapter pane of the Virtual Machine Configuration dialog allows you to manage the virtual machine network settings.","Enabled. Select this option if you want to enable this network adapter in the virtual machine. If you want to temporarily disable the network adapter without deleting it from the virtual machine configuration, clear the Enabled check box.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Connected. Select this option if you want the virtual machine to start up with this network adapter connected.","In the Virtual Network menu, select a virtual network to which the network adapter will be connected. To see the list of all virtual networks available to the Parallels physical server, to edit their settings, or create a new virtual network, refer to the Server Settings dialog.","Direct Assignment (using Intel VT-d). Select this option to allow the virtual machine to access the local network and Internet through a PCIe network adapter with the help of the Intel VT-d technology. Before selecting a PCIe network adapter, you will need to assign it to your virtual machines in the Intel VT-d pane of the Server Settings dialog and install the manufacturer's driver for this PCIe device inside the virtual machine. The driver should support the Intel VT-d technology.","In the MAC address field, you can change the MAC address currently assigned to the virtual machine. MAC addresses are automatically generated during the virtual machine creation. However, you can modify the default MAC address by typing another value in the MAC address field or clicking the Generate button. When entering a new MAC address, make sure that it is unique within your network.","WiFi Bridging Support","To be able to connect to wireless networks from your virtual machine:","Make sure the WiFi network adapter is available to the Parallels physical server.","Create a Bridged virtual network to which the WiFi network adapter is connected. For more information on creating a virtual network, refer to Adding a Virtual Network.","In the Network Adapter pane, select the Virtual Network option and choose the newly created Bridged virtual network from the drop-down list.","Click OK to apply the changes.","After you perform these steps, your virtual machine will be able to connect to the Internet through the WiFi adapter of the Parallels physical server.","When you try to connect to the Internet via WiFi, and the WiFi Access Point has the Validate DHCP packets option enabled, you may experience problems with connecting to the Internet. In this case, enable the Send the host's MAC address to DHCP server option to ensure that your virtual machine gets an IP address for accessing the Internet.","Note: Enabling the Send the host's MAC address to DHCP server option will not work with some DHCP servers - your virtual machine may get the same IP address as the Parallels physical server has.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Network Adapter Settings","29823.htm");
Page[89]=new Array("In the Parallel Port pane of the Virtual Machine Configuration dialog, you can configure the virtual machine parallel port settings. A virtual machine can have up to three parallel ports.","Enabled. Select this option if you want to enable this parallel port in the virtual machine. To temporarily disable the parallel port without deleting it from the virtual machine configuration, clear this option.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Connected. Select this option if you want the virtual machine to start up with the parallel port connected.","A parallel port can be emulated by one of the following devices:","Real Port. Select this option to connect one of the host computer parallel ports to the virtual machine parallel port. In this case, you will need to specify the appropriate physical port in the Parallel port field.","Printer. Select this option to connect a printer using the virtual machine parallel port. In this case, you will need to select the appropriate printer in the Printer list.","By default, the HP Color LaserJet 8500 PS printer supporting PostScript is installed in Windows virtual machines, irrespective of the real printer model and version. In most cases, modern printers support PostScript and that is why you should disregard the printer name you see in the Windows printing wizard and complete the procedure.","Output File. Select this option to emulate the parallel port by using an output file. In this case, a new output file with the default name will be created in the virtual machine folder. The path to the output file will be displayed in the File field. If you want to use another output file, type the full path to it in the File field or use the Choose button to locate the file.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Parallel Port Settings","29821.htm");
Page[90]=new Array("In the Serial Port pane, you can configure the virtual machine serial port settings.","Using serial ports, you can establish a connection between","the virtual machine and the host computer devices (using a real port) or","between two virtual machines located on the same host computer (using a socket).","If you want to connect your virtual machine to the host computer device, you should create a serial port emulated by a real port. The Serial Port list comprises the devices on the host computer that are available for connection. The connected device, being used in any virtual machine, cannot be used by the host computer. To be able to use it in the host computer, you should first disconnect it from the virtual machine. To do that, use the virtual machine status bar.","If you want to connect two virtual machines with each other, you need to create a serial port emulated by a socket in each virtual machine. The names of the serial ports should be identical. The connection between the virtual machines via serial ports is bidirectional. It means that the working modes of the sockets set during the port creation can be changed later in the Serial Port pane.","If you need to log the performance activity of your virtual machine or to record the data from it and use this information later on, you can connect your virtual machine serial port to an output file on the physical server. You will be able to view and analyze the activity history of the virtual machine any time you need it by exploring this file.","You can add a new serial port to your virtual machine using Add Hardware Wizard. For the instruction on how to create serial ports, refer to Adding Serial Port.","Note: You can connect up to four serial ports to a virtual machine.","Enabled. Select this option if you want to enable this serial port in the virtual machine. To temporarily disable the serial port without deleting it from the virtual machine configuration, clear this option.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Connected. Select this option if you want the virtual machine to start up with the serial port connected.","Serial ports can be emulated by the following devices:","Real Port. Select this option to connect the virtual machine serial port to one of the existing serial ports on the host computer. In this case, you will need to choose the appropriate port on the host computer in the Serial port list.","Socket. Select this option to connect two virtual machines through the sockets. When connecting the virtual machine to a socket, you can use the default path to the socket or type a new one in the Socket field. You can also configure the role the virtual machine will play in the connection by selecting the necessary role in the Mode list. Selecting Server enables you to use this virtual machine to direct the other one. Selecting Client enables you to direct this virtual machine from the other one.","Note: If you change the socket mode of the first virtual machine, make sure that the socket mode of the second virtual machine is also modified.","Output File. Select this option to connect the virtual machine serial port to an output file. You can accept the default path or type your own one in the File field. You can also use the Choose button to locate the necessary file.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Serial Port Settings","29815.htm");
Page[91]=new Array("In the Sound Settings pane of the Virtual Machine Configuration dialog, you can configure the sound device settings.","Enabled. Select this option if you want to enable the sound device in the virtual machine. To temporarily disable operations with the sound device without deleting it from the virtual machine configuration, clear this option.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","Connected. Select this option to have the sound device automatically connected on the virtual machine startup.","Output. Use the output list to choose the necessary device. You can choose one of the following devices:","Default. Select this option if you want to use the input device set as default in the primary operating system.","Null device. Select this option if you want to mute the output device.","Built-in output. Select this option if you want to use one of the output devices connected to the primary operating system.","Input. Use the input list to choose the necessary device. You can choose one of the following devices:","Default. Select this option if you want to use the input device set as default in the primary operating system.","Null device. Select this option if you want to mute the input device.","Built-in input. Select this option if you want to use one of the input devices connected to the primary operating system.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Sound Settings","29818.htm");
Page[92]=new Array("In the USB Controller pane of the Virtual Machine Configuration dialog, you can enable the USB controller support in your virtual machine. A virtual machine can emulate only one USB controller, which provides you with the possibility to connect up to eight USB 2.0 and eight USB 1.1 devices to the virtual machine.","Enabled. Select this option to allow using USB devices in the virtual machine. If you want to temporarily disable USB operations without deleting the USB controller from the virtual machine configuration, clear this option.","If the USB controller is disabled, such USB devices as keyboard, mouse, microphone will still be available to the virtual machine with other emulated subsystems, such as sound, keyboard or mouse emulation, etc.","Note: The Enabled option can be selected or cleared only when the virtual machine is stopped.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","USB Settings","29791.htm");
Page[93]=new Array("To view and edit the settings of a generic SCSI device used by the virtual machine, use the Generic SCSI pane of the Virtual Machine Configuration dialog.","Select the Enabled option to enable this SCSI device in the virtual machine. If you want to temporarily disable the device, clear this option.","Note: You can select and clear the Enabled option only when the virtual machine is shut down.","The SCSI device list displays the SCSI devices available in the hardware configuration of the Parallels physical server. You may change the device connected to the virtual machine SCSI device by choosing it from the list.","You can also change the device position in the Location list.","Note: The SCSI 7:0 location is not available for selecting, since it is occupied by the SCSI controller itself.","You may add a brief description of the device in the Description field.","When you finish, click OK to save the changes and quit the Virtual Machine Configuration dialog. If you do not want to save the changes, click Cancel.","Generic SCSI Device Settings","30264.htm");
Page[94]=new Array("Adding or removing a device to a virtual machine is easier than connecting new devices to a real computer. The following virtual devices can be added to the virtual machine configuration or removed from it:","virtual hard disk","CD/DVD-ROM drive","floppy disk drive","network adapter","serial port","parallel port","USB controller","generic SCSI device","sound device","You can add these devices to the virtual machine configuration or remove some of them only when the virtual machine is stopped.","Adding and Removing Devices","22177.htm");
Page[95]=new Array("You can add new devices using:","Add Hardware Wizard (if Parallels Management Console is installed on a Windows- or Linux-based physical computer)","Add Hardware Assistant (if Parallels Management Console is installed on a Mac-based physical computer)","The wizard allows you to add only one device at a time.","Note: To connect a virtual device to a real one, you must have system privileges to access the real device. Otherwise, the real device will not appear in the list of available devices even though it is installed on your computer.","To add a new device to the virtual machine:","Start Parallels Management Console.","Open the Virtual Machine Configuration dialog by doing one of the following:","Double-click the virtual machine icon in the sidebar of the Parallels Management Console main window.","Click Configure on the virtual machine Summary page.","Choose Configure from the Virtual Machine menu.","Right-click the virtual machine in the sidebar and choose Configure from the shortcut menu.","Click the Add button @ in the bottom part of the Virtual Machine Configuration dialog. This launches Add Hardware Wizard.","Note: The Add button @ is available only when the virtual machine is shut down.","In the Introduction window,click Next.","The Select Device window displays the list of virtual hardware that can be added to this virtual machine. Select the device you want to add and click Next.","Note: If the virtual machine already has the allowed number of devices of a particular type, this device icon is dimmed in this window.","Follow the wizard instructions to configure the device.","If you want to add a device with typical settings to the virtual machine configuration, select the device and click the Add typical Device button.","Add Hardware Wizard","29842.htm");
Page[96]=new Array("You can add an existing hard disk image or create a new, blank one.","Note: You can connect up to four IDE devices (hard disks or CD/DVD drives) and 15 SCSI devices to a virtual machine. Each device is listed separately in the Virtual Machine Configuration dialog and has its own number.","To add a hard disk to a virtual machine:","Start Parallels Management Console.","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select Hard Disk and click Next.","To add a hard disk with typical configuration, choose the Hard Disk icon and click the Add Typical Device button. The wizard will create a typical ready to use hard disk.","In the Add Hard Disk window, select the resource for the new virtual hard disk and click Next. The following resources can be used:","New image file. The wizard will create a new image to emulate a hard disk.","Existing image file. The wizard will find and use an existing image file to emulate a hard disk.","If you selected the Existing image file option, go to step 6.","If you selected the New image file option, set the virtual hard disk size and specify the disk format. Click Next.","You can choose one of these formats for the disk: Expanding or Plain. If you want the virtual hard disk to be splitted, select the Split the disk image into 2 GB files option. For more information, see Support for Virtual and Real Disks.","In the next window, you can configure the location of the hard disk image file and specify its interface type.You can choose one of the following interface types for the disk:","If you selected the IDE option, you will be able to select the IDE number for the device from the Location list.","If you selected the SCSI option, you will be able to select the SCSI number for the device in the Location list.","Note: Red Hat Linux Enterprise 5 guest OS does not support the SCSI controller.","Click Add Device. A new hard disk will be added.","After adding the disk, make sure that its file system is compatible with the guest OS installed in the virtual machine.","Adding Hard Disk","29844.htm");
Page[97]=new Array("After you added a new blank virtual hard disk to the virtual machine configuration, it will be invisible to the operating system installed inside the virtual machine until the moment you initialize it.","Initializing the New Virtual Hard Disk in Windows","To Initialize the new virtual hard disk in a Windows guest OS, you will need the Disk Management utility available through:","In Windows Vista: Start &gt; Control Panel &gt; System and Maintenance &gt; Administrative Tools &gt; Create and Format Hard Disk Partitions &gt; Disk Management.","In Windows XP: Start &gt; Control Panel &gt; Administrative Tools &gt; Computer Management &gt; Storage &gt; Disk Management.","When you open the Disk Management utility, it automatically detects that a new hard disk was added to the configuration and launches Initialize and Convert Disk Wizard:","In the introduction window, click Next.","In the Select Disks to Initialize window, select the newly added disk and click Next.","In the Select Disks to Convert window, select the newly added disk and click Finish.","The added disk will appear as a new disk in the Disk Management utility window, but its memory space will be unallocated. To allocate the disk memory, right-click this disk name in the Disk Management utility window and select New Simple Volume in Windows Vista or New Volume in Windows XP. The New Simple Volume Wizard/New Volume Wizard window will appear. Follow the steps of the wizard and create a new volume in the newly added disk.","After that your disk will become visible in Computer/My Computer and you will be able to use it as a data disk inside your virtual machine.","Initializing the New Virtual Hard Disk in Linux","Initializing the new virtual hard disk in a Linux guest OS comprises two steps: allocating the virtual hard disk space and mounting this disk in the guest OS.","To allocate the space, you will need to create a new partition on this virtual hard disk, using the fdisk utility.","Note: To use the fdisk utility, you need the root privileges.","Launch Terminal.","To list the IDE disk devices present in your virtual machine configuration, enter:","fdisk /dev/hd*","Note: If you added a SCSI disk to the virtual machine configuration, use the fdisk /dev/sd* command instead.","By default, the second virtual hard disk appears as /dev/hdc in your Linux virtual machine. To work with this device, enter:","fdisk /dev/hdc","Note: If this is a SCSI disk, use the fdisk /dev/sdc command instead.","To get extensive information about the disk, enter:","p","To create a new partition, enter:","n","To create the primary partition, enter:","p","Specify the partition number. By default, it is 1.","Specify the first cylinder. If you want to create a single partition on this hard disk, use the default value.","Specify the last cylinder. If you want to create a single partition on this hard disk, use the default value.","To create a partition with the specified settings, enter:","w","When you allocated the space on the newly added virtual hard disk, you should format it by entering the following command in the terminal:","mkfs -t &lt;FileSystem&gt; /dev/hdc1","Note: &lt;FileSystem&gt; stands for the file system you want to use on this disk. It is recommended to use ext3 or ext2.","When the added virtual hard disk is formatted, you can mount it in the guest OS.","To create a mount point for the new virtual hard disk, enter:","mkdir /mnt/hdc1","Note: You can specify a different mount point.","To mount the new virtual hard disk to the specified mount point, enter:","mount /dev/hdc1 /mnt/hdc1","When you mounted the virtual hard disk, you can use its space in your virtual machine.","Initializing the Newly Added Disk","28463.htm");
Page[98]=new Array("You can add a virtual CD/DVD-ROM drive connected to a real CD/DVD-ROM or an existing image file.","Note: You can connect up to four IDE devices (hard disks or CD/DVD drives) and 15 SCSI devices to a virtual machine. Each device is listed separately in the Virtual Machine Configuration dialog and has its own number.","To add a new CD/DVD-ROM drive to a virtual machine:","Start Parallels Management Console.","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select CD/DVD-ROM and click Next.","Note: To automatically add a CD/DVD-ROM drive with typical configuration, click the Add Typical Device button. The wizard will create a typical ready to use CD/DVD-ROM.","In the Add CD/DVD-ROM window, select the resource for the new CD/DVD-ROM drive and click Next. The following resources can be used:","Real Device. Select this option if you wish to add a real CD/DVD-ROM drive to your virtual machine.","Image File. Select this option if you wish to use an existing image file as a virtual CD/DVD-ROM drive inside your virtual machine.","Note: Parallels virtual machines support ISO and DMG image files and may support CUE and CCD image files.","Select the real device or image file location from the Placement list. The possible locations are:","Host computer. Select this location if the device or image file is stored on the host computer.","Client Computer. Select this option if the device or image file is stored on the client computer.","If you want the device to be connected to the virtual machine automatically at startup, select the Connected option. If you clear this option, the drive will be enabled in the configuration, but not connected to the virtual machine. You can connect it later when running the virtual machine.","Your next window will be different depending on what option (Real Device or Image File) you chose in the previous step:","If you chose to add a real device, select the corresponding device from the list in the Drive Name field.","If you chose to use an image file, type the path to the corresponding file in the Image File field or use the Choose button to locate the file.","In both cases, you should specify the interface type for the CD/DVD-ROM device or image file:","IDE. Using this interface type, you can connect up to four virtual devices (hard disks or CD/DVD drives) to the virtual machine.","SCSI. Using this interface type, you can connect up to 15 virtual devices (hard disks or CD/DVD drives) to the virtual machine.","Note: In some Linux distributions (e.g. RHEL 5.3), the SCSI driver may be not installed. In this case, you should install this driver in your Linux guest OS to be able to use the SCSI controller.","You can also define the device position in the Location list or accept the position offered by Add Hardware Wizard.","Note: The SCSI 7:0 location is not available for selecting, since it is occupied by the SCSI controller itself.","If you selected the Real Device option, you can connect your physical computer CD/DVD-ROM drive directly to your virtual machine. In this case, you will be able to fully use this CD/DVD-ROM drive in the virtual machine (e.g. record data on discs). For these purposes, select the Passthrough option.","Note: If you connect your physical computer CD/DVD-ROM drive directly to your virtual machine, this drive will not be available in the primary OS.","When you are ready, click the Add Device button to add a new virtual CD/DVD-ROM drive to your virtual machine.","Adding CD/DVD-ROM Drive","29848.htm");
Page[99]=new Array("You can add an existing floppy disk image, a new one or a real floppy disk to your virtual machine.","To add a floppy disk to the virtual machine:","Start Parallels Management Console.","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select Floppy Disk and click Next.","In the Add Floppy Disk window, select the resource for the new floppy disk and click Next. The following resources can be used:","Real Floppy Disk. The wizard will use a real disk to emulate a floppy disk.","Existing Image File. The wizard will find and use an existing image file to emulate a floppy disk.","New Image File. The wizard will create a new image to emulate a floppy disk.","If you want the device to be connected to the virtual machine automatically at startup, select the Connected option. If you clear this option, the drive will be enabled in the configuration, but not connected to the virtual machine. You can connect it later when running the virtual machine.","If you selected New image File, click Add Device to complete the procedure of adding a new floppy image file.","If you selected Existing Image File, specify the location of the image file and click Add Device to complete the procedure.","If you selected Real Floppy Disk, specify the drive of the real floppy disk and click Add Device to complete the procedure.","Adding Floppy Disk Drive","29851.htm");
Page[100]=new Array("You can add up to ten network adapters to a virtual machine.","To add a network adapter to the virtual machine:","Start Parallels Management Console.","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select Network Adapter and click Next.","To add a network adapter with typical configuration, choose the Network Adapter icon and click the Add Typical Device button. The wizard will add a typical ready to use network adapter.","In the Add Network Adapter window, select the type of networking you want to use and click Next.","Virtual Network. If you select this option, the network adapter will be connected to one of the virtual networks available to the Parallels physical server.","Direct Assignment (using Intel VT-d). If you select this option, the virtual machine will be able to access the local network and Internet through a PCIe network adapter. This option is available only if you have a PCIe network adapter and the Intel VT-d technology is enabled in the Parallels physical server.","If you want the device to be connected to the virtual machine automatically at startup, select the Connected option. If you clear this option, the drive will be enabled in the configuration, but not connected to the virtual machine. You can connect it later when running the virtual machine.","If you selected the Virtual Network option, in the next step you will need to select the virtual network to which the virtual machine network adapter will be connected.","If you selected the Direct Assignment (using Intel VT-d) option, in the next step select the PCIe network adapter you want to use. Before using the PCIe adapter in your virtual machine, you will need to assign it to your virtual machines in the Intel VT-d pane of the Server Settings dialog and install the manufacturer's driver for this PCIe device inside the virtual machine. The driver should support the Intel VT-d technology.","Click Add Device.","Adding Network Adapter","29853.htm");
Page[101]=new Array("You can add an existing or a newly created serial port connected to a real port, to a socket, or to an output file.","Note: Up to four serial ports can be added to the virtual machine configuration.","To add a serial port to the virtual machine:","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select Serial Port and click Next.","To add a serial port with typical configuration, click the Add Typical Device button. The wizard will add a typical ready to use serial port.","In the Add Serial Port window, specify the resource to be used for serial port emulation and click Next. The following resources can be used:","Real Port. Select this option to connect the virtual machine serial port to the serial port of the host computer. You will be able to choose the serial port in the next window.","Output File. Select this option to connect the virtual machine serial port to an output file. You will be able to locate the file in the next window.","Socket. Select this option to create and connect the virtual machine serial port to a socket of the host computer.","Note: When you connect two virtual machines via serial ports, both virtual machines should have serial ports, emulated by sockets with the identical names.","If you want the device to be connected to the virtual machine automatically at startup, select the Connected option. If you clear this option, the drive will be enabled in the configuration, but not connected to the virtual machine. You can connect it later when running the virtual machine.","In the next window, specify the resource properties:","If you chose Real Port, specify the port to be used for the virtual serial port device in the Serial Port list.","If you chose Output File, define the file to be used for the virtual serial port device in the Output File field or leave the default file offered by Add Hardware Wizard.","If you chose Socket, specify the name of the socket to be used for the virtual serial port device and its mode. The socket mode defines the role the virtual machine will play when establishing a network connection to another computer. It can be set to one of the following: Server or Client. The Server socket enables you to use the given virtual machine to direct the other one. The Client socket enables you to direct the given virtual machine from the other one.","Note: When you establish a connection between two virtual machines, one virtual machine socket should function in the Server mode, and the other one - in the Client mode.","When you are ready, click the Add Device button to add a new serial port to your virtual machine.","Adding Serial Port","29855.htm");
Page[102]=new Array("You can add an existing parallel port connected to a real port, to a printer, or to an output file.","Note: Up to three parallel ports can be added to the virtual machine configuration.","To add a parallel port to the virtual machine:","Open the Virtual Machine Configuration dialog and launch Add Hardware Wizard by clicking the Add button @ in the bottom part of the dialog.","In the Select Device window, select Parallel Port and click Next.","To add a parallel port with typical configuration, click the Add Typical Device button. The wizard will add a typical ready to use parallel port.","In the Add Parallel Port window, specify the resource to be used for parallel port emulation and click Next. The following resources can be used:","Real Port. Select this option to connect the virtual machine parallel port to a real parallel port of the host computer.","Output File. Select this option to emulate the parallel port by using an output file. In this case, a new output file with the default name will be created in the virtual machine folder.","Printer. Select this option to connect a printer using the virtual machine parallel port.","If you want the device to be connected to the virtual machine automatically at startup, select the Connected option. If you clear this option, the drive will be enabled in the configuration, but not connected to the virtual machine. You can connect it later when running the virtual machine.","In the next window, specify the resource properties:","If you chose the Real Port option in the previous step, you should choose the appropriate parallel port name in the Parallel Port list.","If you chose the Output File option in the previous step, you should set the path to the corresponding file in the Output File field. You can leave the file offered by Add Hardware Wizard or specify another one by using the Choose button or manually typing the full path to it in the field provided.","If you chose the Printer option in the previous step, you should choose the appropriate printer name in the Printer list.","Click the Add Device button to add a new parallel port to your virtual machine.","Adding Parallel Port","29857.htm");
Page[103]=new Array("You can add a USB controller to your virtual machine. USB controllers installed inside your virtual machines allow USB devices plugged into the USB drives of the host computer to be connected to the corresponding virtual machines.","Note: A virtual machine can have only one USB controller. If you removed it for any reason, you can add it back to the configuration.","To add a USB controller to a virtual machine:","Choose Configure from the Virtual Machine menu to open the Virtual Machine Configuration dialog.","Click the Add button @ in the bottom part of the Virtual Machine Configuration dialog to launch Add Hardware Wizard.","In the Select Device window, select USB Controller and click Add Device.","Adding USB Controller","30087.htm");
Page[104]=new Array("If the Parallels physical server hardware includes any SCSI device (except for SCSI hard disks or CD/DVD-ROM drives), you can add to your virtual machine a generic SCSI device.","Note: 1. A virtual machine can have up to four IDE devices and 15 SCSI devices.","2. Red Hat Linux Enterprise 4.7 and 5.3 guest OSs do not support SCSI controller.","To add a generic SCSI device to a virtual machine:","Choose Configure from the Virtual Machine menu to open the Virtual Machine Configuration dialog.","Click the Add button @ in the bottom part of the Virtual Machine Configuration dialog to launch Add Hardware Wizard.","In the Select Device window, select Generic SCSI and click Next.","To add a generic SCSI device that will have a typical configuration, choose the Generic SCSI icon and click the Add Typical Device button. The wizard will create a typical SCSI device ready for use.","In the Add Generic SCSI window, choose the SCSI device you want to add to your virtual machine from the SCSI Device list.","You can also define the device position in the Location list or accept the position offered by Add Hardware Wizard.","Note: The SCSI 7:0 location is not available for selecting, since it is occupied by the SCSI controller itself.","You may also type a brief description of the added device in the Description field.","When you are ready, click the Add Device button to add a generic SCSI device to your virtual machine.","Adding Generic SCSI Device","30265.htm");
Page[105]=new Array("You can add a sound device to the virtual machine.","Note: Any virtual machine can have only one sound device.","To add a sound device to a virtual machine:","Choose Configure from the Virtual Machine menu to open the Virtual Machine Configuration dialog.","Click the Add button @ in the bottom part of the Virtual Machine Configuration dialog to launch Add Hardware Wizard.","In the Add Sound window, specify the sound input and output devices the virtual machine will use:","Input device. Use the input list to choose the necessary device:","Default. Select this option if you want to use the input device set as default in the primary OS.","Null Device. Select this option if you want to mute the input device inside the virtual machine.","Built-in Input. Select this option if you wish to use other input devices connected to the primary OS.","Output device. Use the output list to choose the necessary device:","Default. Select this option if you want to use the input device set as default in the primary OS.","Null Device. Select this option if you want to mute the output device inside the virtual machine.","Built-in Output. Select this option if you wish to use other output devices connected to the primary OS.","You can also select the Activated option to have the sound device automatically activated on the virtual machine startup.","When you are ready, click the Add Device button to add a new sound device to your virtual machine.","Adding Sound","30088.htm");
Page[106]=new Array("Most virtual machine devices can be removed from the virtual machine configuration.","Note: Some devices can be temporarily disabled by clearing the Enabled option on their settings panes of the Virtual Machine Configuration dialog.","To remove a device:","Select a virtual machine.","Choose Configure from the Virtual Machine menu to open the Virtual Machine Configuration dialog.","Select the device you want to remove and click the Remove button @ in the bottom part of the dialog.","Note: If you accidentally press the Remove button @, click the Cancel button in the Virtual Machine Configuration dialog. Once you click OK, the device will be removed.","Removing Devices","23482.htm");
Page[107]=new Array("This chapter provides information on the main day-to-day operation you are likely to perform on your virtual machines:","cloning a virtual machine","deleting a virtual machine","working with virtual machine templates","managing virtual machines from the notification area","working with snapshots","migrating virtual machines","working with virtual machine backups","Managing Virtual Machines","30024.htm");
Page[108]=new Array("If you need to create an exact copy of a virtual machine, to back it up or for some other purposes, use:","Clone Virtual Machine Wizard (if Parallels Management Console is installed on a Windows- or Linux-based physical computer)","Clone Virtual Machine Assistant (if Parallels Management Console is installed on a Mac-based physical computer)","The cloned virtual machine has the same configuration as the original virtual machine does. If a device in the original machine was connected to an external resource, in the cloned virtual machine, this device will be connected to the same external resource.","Notes: 1. If the original virtual machine has a parallel or serial port connected to an output file, the virtual machine clone will have empty output files.","2. If a network adapter is enabled in the original configuration, a new MAC address will be generated for the virtual machine clone.","Before you start cloning a virtual machine, make sure that the virtual machine is not running.","To clone a virtual machine:","Launch Parallels Management Console.","In the sidebar, select the virtual machine you want to clone.","Start Clone Virtual Machine Wizard by doing one of the following:","choosing Clone from the File menu","right-clicking the virtual machine in the sidebar and choosing Clone form the shortcut menu","In the Name and Location window, type the name of the virtual machine clone and specify the folder for its files to be stored. You can use the Choose button to locate the folder.","By default, the files of the virtual machine clone will be placed to the following folder:","in Mac OS X: /Users/Shared/Parallels/&lt;Virtual Machine Name&gt;/","in Parallels Server Bare Metal: /var/parallels/&lt;Virtual Machine Name&gt;","in Parallels Server 4.0 for Mac Bare Metal Edition: /var/parallels/&lt;Virtual Machine Name&gt;","When finished, click Clone.","When the operation is complete, click Done in the Cloning Finished window.","The clone of the virtual machine will appear in the sidebar of the Parallels Management Console window.","Cloning a Virtual Machine","30092.htm");
Page[109]=new Array("If you do not need any of your virtual machines, you can either temporarily remove or delete it from Parallels Management Console.","When removing a virtual machine from Parallels Management Console, you do not remove the virtual machine files from the Parallels server. You can easily add the removed virtual machine back to the virtual machines list with the help of Add Existing Virtual Machine Assistant. For more information about adding existing virtual machines, see Adding an Existing Virtual Machine.","Deleting a virtual machine means permanently erasing its files from the Parallels server. Make sure you transferred all the necessary data from the virtual machine before deleting it: this operation is irreversible. All the virtual machine data will be lost.","You can delete a virtual machine using Delete Virtual Machine Assistant (or Delete Virtual Machine Wizard if Parallels Management Console is installed on a Windows- or Linux-based physical computer) that finds and deletes all the virtual machine files. Or you can delete a virtual machine manually. However, we recommend that you use Delete Virtual Machine Assistant.","By default, Delete Virtual Machine Assistant removes all files that are stored in the virtual machine folder, including:","configuration file","virtual hard disk file(s)","floppy disk image file(s), if any","output files of serial and parallel ports, if any","To delete a virtual machine or remove it from the list:","Launch Parallels Management Console.","In the sidebar, select the virtual machine you want to delete or remove from the list.","Start Delete Virtual Machine Assistant by doing one of the following:","choose Remove from the File menu","click Remove in the Operations section of the virtual machine Summary tab","Note: Before deleting a virtual machine, make sure that the virtual machine is stopped.","In the Delete Options window, select the operation you want to perform on the virtual machine.","To delete the virtual machine, select Delete and click Continue.","To remove the virtual machine from the list, select Remove from list and click Remove.","Note: If you remove the virtual machine from the list visible in Parallels Management Console, its files will not be removed from the Parallels server. You will be able to add this virtual machine back.","If you chose to delete the virtual machine, you would be presented with the Files Selection window. This window displays all the files that belong to the virtual machine.In the File Selection window, choose the virtual machine files to be deleted from the Parallels server and click Delete.","The assistant automatically selects the files that belong to the virtual machine, such as:","VM Configuration File. The file has the .pvs extension and defines hardware and resources configuration of the virtual machine.","Hard Disk Image. The file has the .hdd extension and represents a virtual hard disk of the virtual machine.","Floppy Image. The file has the .fdd extension and is a floppy disk image file.","File. The file has the .DS_Store extension and is a hidden file created by the host OS to store custom attributes of a folder.","Logging File. The file has the .log extension and serves to record the data.","Once the operation is complete, click Done to exit the assistant.","Deleting and Removing a Virtual Machine","30093.htm");
Page[110]=new Array("If you need to create several virtual machines with a similar configuration, you can create a virtual machine template and use it as the basis for creating new virtual machines.","You can use one of the following ways to create a virtual machine template:","Convert an existing virtual machine into a virtual machine template. In this case, the virtual machine will be moved from the virtual machines list to the templates list once the conversion is complete. It means that the virtual machine will be available as a template only (i.e. you will not be able to run it).","Clone an existing virtual machine to a virtual machine template. By cloning a virtual machine, you make its exact copy and can use it to create virtual machines with the same configuration.","Managing Virtual Machine Templates","29695.htm");
Page[111]=new Array("To convert an existing virtual machine into a template:","Choose the virtual machine you want to convert into a template by clicking its icon in the sidebar.","Choose Convert to Template from the File menu or right-click the virtual machine icon in the sidebar and choose Convert to Template from the shortcut menu.","The virtual machine will be moved to the templates list.","To clone a virtual machine to a template:","Launch Parallels Management Console.","In the sidebar, select the virtual machine you want to be cloned to a virtual machine template.","Start Clone to Template Virtual Machine Wizard (or Clone to Template Virtual Machine Assistant if Parallels Management Console is installed on a Mac-based physical computer) by doing one of the following:","choosing Clone to Template from the File menu","right-clicking the virtual machine in the sidebar and choosing Clone to Template form the shortcut menu","In the Clone to Template Virtual Machine Wizard Introduction window, click Next. To skip this window next time you start the wizard, select Always skip introduction.","In the Name and Location window, specify the name and location for the virtual machine template and click Clone. You can use the Choose button to change the location.","By default, the virtual machine template files will be placed to the following folder:","in Mac OS X: /Users/Shared/Parallels/&lt;Virtual Machine Template Name&gt;/","in Parallels Server Bare Metal: /var/parallels/&lt;Virtual Machine Template Name&gt;","in Parallels Server 4.0 for Mac Bare Metal Edition: /var/parallels/&lt;Virtual Machine Template Name&gt;","In the Creation Finished window, click Done to quit the wizard.","Creating a Virtual Machine Template","30094.htm");
Page[112]=new Array("The virtual machine template cannot be run as a virtual machine. To be able to run it as a virtual machine, you should create a virtual machine that will have the same configuration the template does.","There are two ways of creating a virtual machine from a template:","convert the template to a virtual machine","deploy the template to a new virtual machine","If you convert a virtual machine template into a virtual machine, its icon will be moved from the templates list to the virtual machines list, and you will be able to use it as a virtual machine.","If you deploy a virtual machine template to a virtual machine, Deploy Virtual Machine Template Wizard will create a new virtual machine, but the template will not be removed from the templates list.","To convert a virtual machine template into a virtual machine:","In the sidebar, select the template you want to convert into a virtual machine.","Choose Convert to Virtual Machine from the File menu or right-click the template icon in the sidebar and choose Convert to Virtual Machine from the shortcut menu.","The virtual machine template will be moved from the templates list to the virtual machines list.","To deploy a virtual machine template to a new virtual machine:","Launch Parallels Management Console.","In the sidebar, select the virtual machine template you want to be deployed to a new virtual machine.","Start Deploy Virtual Machine Template Wizard (or Deploy Virtual Machine Template Assistant if Parallels Management Console is installed on a Mac-based physical computer) by doing one of the following:","choosing Deploy to Virtual Machine from the File menu","right-clicking the virtual machine in the sidebar and choosing Deploy to Virtual Machine form the shortcut menu","In the Deploy Virtual Machine Template Wizard Introduction window, click Next. To skip this window next time you start the wizard, select Always skip introduction.","In the Name and Location window, specify the name and location for the virtual machine and click Deploy. You can use the Choose button to change the location.","By default, the virtual machine files will be placed to the following folder:","in Mac OS X: /Users/Shared/Parallels/&lt;Virtual Machine Name&gt;/","in Parallels Server Bare Metal: /var/parallels/&lt;Virtual Machine Name&gt;","in Parallels Server 4.0 for Mac Bare Metal Edition: /var/parallels/&lt;Virtual Machine Name&gt;","In the Deployment Finished window, click Done to close the wizard.","The resulting virtual machine will have the same configuration that the original template had.","Deploying a Virtual Machine Template","30095.htm");
Page[113]=new Array("When working with Parallels Management Console, you can use the Parallels Management Console tray icon to easily manage your running and paused virtual machines:","Double-click the tray icon to bring the Parallels Management Console window to focus.","Right-click the tray icon to open its context menu where you can see your running and paused virtual machines.","Note: Suspended and stopped virtual machines are not listed in the tray icon context menu.","Point to a virtual machine and do one of the following:","Choose Show Window to bring the virtual machine window to focus. If this window is detached, only the detached window will be brought to focus.","If the virtual machine is paused, choose the corresponding item to resume, suspend, shut down or restart this virtual machine.","If the virtual machine is running, choose the corresponding item to pause, suspend, shut down or restart this virtual machine.","Managing Virtual Machines From the Tray","30130.htm");
Page[114]=new Array("A snapshot is a saved state of the virtual machine. Snapshots can be created manually or automatically when the virtual machine is running. After you make a snapshot, you can continue working with the virtual machine and revert to the created snapshot at any time of your work.","Snapshots are stored inside the virtual machine bundle, in the Snapshots subfolder. Each snapshot has a number of files, including the .sav file that contains the virtual machine's state, the .mem file that contains the memory dump for the virtual machine, and other different files of the virtual hard disk.","Note: Snapshots are not backup copies or clones of your virtual machine. You cannot use them alone without your virtual machine or move them from the virtual machine bundle.","You may need to make snapshots in the following cases:","If you are configuring a software that requires a lot of settings, you may want to explore the settings functions before selecting them. For testing the settings, create snapshots at branching points.","If you want to mark milestones in the development process. If something goes wrong, you can always revert to the previous state or create a branch of snapshots starting with the particular milestone snapshot.","Working With Snapshots","28135.htm");
Page[115]=new Array("Snapshots can be created manually or automatically using SmartGuard.","Note: You cannot create a snapshot manually or automatically or revert to a snapshot when your virtual machine is paused.","To make a snapshot manually:","Make sure that you completed all operations of installing, downloading, or writing to external devices before taking a snapshot.","Note: You can create a snapshot at any time. But it is recommended to complete all operations of installing, downloading, or writing to external devices before taking a snapshot. You should also complete or cancel any transactions performed via the virtual machine in external data bases.","Choose Take Snapshot from the Virtual Machine menu or use the Take Snapshot button @ on the toolbar of your virtual machine's window. If the toolbar does not contain this button, you can add it to the toolbar. For more information, refer to the Customizing Toolbar section.","Note: To make a snapshot, you can also use Virtual Machine Snapshots. Just choose Manage Snapshots from the Virtual Machine menu and click the New button. A new snapshot will be created.","In the Snapshot Parameters window, you can provide a name and a short description for the snapshot. This information and the date of creation will be visible in Virtual Machine Snapshots when you hover the pointer over the snapshot icon.","Click OK to take a snapshot.","After the snapshot is created, you can continue working with your virtual machine current state or use any of its snapshots.","To revert to a snapshot, open Virtual Machine Snapshots by choosing Manage Snapshots from the Virtual Machine menu or by clicking the Manage Snapshots button @ on the toolbar of the virtual machine window.","To create snapshots automatically, configure the SmartGuard settings.","Making Snapshots","30113.htm");
Page[116]=new Array("You can use Virtual Machine Snapshots to revert to a specific snapshot, as well as to manage the snapshots. To open Virtual Machine Snapshots, do one of the following:","choose Manage Snapshots from the Virtual Machine menu","click the Manage Snapshots button @ in the toolbar","Note: To add this button to the toolbar, you should customize the toolbar. To learn how to do that, refer to the Customizing Toolbar section.","Using Virtual Machine Snapshots, you can:","create new snapshots and delete the unused ones","view the snapshot tree of a particular virtual machine","select a snapshot to revert to","Note: You cannot create a snapshot manually or automatically or revert to a snapshot when your virtual machine is paused.","The Virtual Machine Snapshots window consists of the following areas:","The snapshots tree pane.","The snapshots management pane.","Snapshots Tree Pane","Snapshot icons appear as screen shots of the guest OS window if the virtual machine was running at the time you created a snapshot.","The left icon with a flag is the root of the snapshots tree - it is the initial state of the virtual machine used as the reference point. You cannot delete the root icon. The root icon is visible if at least one snapshot exists. If you want to delete a snapshot which is parental for some other snapshots, you can decide whether to delete only this snapshot or delete it with all the subsequent snapshots.","All snapshots in the snapshots tree are descendants of the root state of the virtual machine. The first snapshot contains &quot;differences&quot; with respect to the root state. The second successive snapshot contains differences with respect to the first snapshot. You may want to return to one of the previous snapshots and work with it. If you then create a new snapshot, a new snapshots branch will be created.","When you hover the pointer over an item, you will see a tooltip message with a short description.","Snapshots Management Pane","The snapshots management pane includes the buttons necessary for managing the snapshots.","The New button. Click this button to create a new snapshot for the present state of your virtual machine.","The Go To button. Select the snapshot you want to go to in the snapshots tree and click this button to move from the present state of your virtual machine to the state saved in this snapshot.","Note: Before you go to a specific snapshot, decide what you want to do with the current state of the virtual machine - by default, it will not be saved. To retain the changes made since the last snapshot, make a new snapshot.","The Delete button. Select the snapshot you want to delete and click this button. If you delete an intermediate snapshot, the information it contains will be merged into the subsequent snapshot.","Note: You cannot delete the root icon. It disappears only when you delete all snapshots in the tree.","You can also manage snapshots by right-clicking them in the tree:","If you right-click the icon that shows the present state of the virtual machine, you can create a new snapshot for this state.","If you right-click any other intermediate snapshot, you can choose to go to it, to delete it alone or with all the subsequent snapshots, or to edit its name and description.","Going to a Snapshot","Launch Parallels Management Console and select a virtual machine.","Open Virtual Machine Snapshots by doing one of the following:","choosing Manage Snapshots from the Virtual Machine menu","clicking the Manage Snapshots button @ in the toolbar","Select the snapshot you want to revert to and click Go To. If you revert to a snapshot from an unsaved state of the virtual machine, you will see the notification about that. Click Yes if you want to proceed without saving the state. Click No if you want to save the state and then go to the needed snapshot.","Note: If, after the Parallels Server update, you decide to revert to one of the snapshots made before the update, you will see the message that a new Parallels Tools update is available. We recommend you to install them to work effectively with the virtual machine.","Deleting a Snapshot","Launch Parallels Management Console and select a virtual machine.","Open Virtual Machine Snapshots by doing one of the following:","choosing Manage Snapshots from the Virtual Machine menu","clicking the Manage Snapshots button @ in the toolbar","Select the snapshot you want to delete and click the Delete button if you want to delete only this snapshot. If you want to delete all the snapshots that come after it, right-click the snapshot and choose the Delete Snapshot with children option.","If you delete an intermediate snapshot, the information it contains will be merged into the snapshot that follows it.","Note: You cannot delete the root icon, but it gets automatically deleted after you delete all the other snapshots.","Merging Snapshots","Merging is performed automatically when you delete any snapshot except the last one in the branch. When you delete an intermediate snapshot, the information it contains is merged into the next snapshot of the same branch.","If you delete the snapshot belonging to two branches, the information is merged into the next snapshot of each branch.","Note: If you delete the snapshot that comes after the root icon and that belongs to two branches, the branches will start from the initial state icon directly.","The snapshots are also merged automatically if you manage the capacity of your virtual hard disk with the help of Parallels Image Tool. Before applying any changes to the virtual hard disk, Parallels Image Tool merges and deletes all the snapshots except for the last one. Unlike merging the snapshots in Virtual Machine Snapshots, the results of merging process via Parallels Image Tool are not reflected in the snapshots tree, and the icons of already deleted snapshots are still present in the tree.","Managing Snapshots","30117.htm");
Page[117]=new Array("If you have two or more Parallels servers registered in Parallels Management Console, you can migrate your virtual machines between them. The cases when you need to move a virtual machine from one Parallels server (source server) to another (destination server) can be quite numerous. A migration can be performed to distribute the workload between physical servers, or in view of an interruption in the source physical server operation.","You can migrate any number of virtual machines at a time. However, before migration, you should check if the amount of free disk space, CPU numbers, and memory on the destination server is enough to run your virtual machine(s).","To migrate a virtual machine:","Launch Parallels Management Console.","Select a virtual machine in the sidebar.","Note: You can migrate a virtual machine in any of the following states: running, stopped, paused, suspended.","Start Migrate Virtual Machine Wizard (or Migrate Virtual Machine Assistant if Parallels Management Console is installed on a Mac-based physical computer) by doing one of the following:","choose Migrate from the File menu","right-click the virtual machine and choose Migrate from the context menu","click Migrate on the virtual machine Summary pane","In the Target Server window, select a server to which the virtual machine will be migrated.","Click Migrate to start the procedure. The virtual machine will be migrated to the specified Parallels server.","Warning: After you click Migrate, do not work with the virtual machine or you may prevent it from being properly migrated to the destination server. Wait till the migration process is over.","Migrating a Virtual Machine","30133.htm");
Page[118]=new Array("Parallels Management Console allows you to back up the virtual machines residing on the registered Parallels servers. A regular backing up of virtual machines is essential for any physical server reliability.","Note: If you back up a virtual machine that has snapshots, the snapshots will not be included into the backup, and as a consequence, a virtual machine restored from this backup will have no snapshots either.","To work with virtual machine backups, select a virtual machine in the sidebar and go to the Backup tab. If the virtual machine has any backups, the information about these backups is available on the Backup tab:","Column Name","Description","ID","The ID assigned to the backup archive.","Date","The date when the backup archive was created.","Size","The size of the backup archive, in megabytes.","Type","The backup type:","A full backup indicated by f.","An incremental backup indicated by i and containing only the files changed since the previous full or incremental backup.","Description","Description of the backup archive.","The Backup tab also contains the necessary controls allowing you to create a new backup, to restore a backup, or remove it from the Parallels server. More detailed information on how to do these operations is given in the following subsections.","Working With Virtual Machine Backups","30502.htm");
Page[119]=new Array("To back up a virtual machine, do the following:","Note: If you back up a virtual machine that has snapshots, the snapshots will not be included into the backup, and as a consequence, a virtual machine restored from this backup will have no snapshots either.","Select a virtual machine in the sidebar and go to the Backup tab.","Click the New button. The Back Up Virtual Machine window will be displayed.","In this window, select the backup type:","Full. If the virtual machine has no backups at all, you will be able to choose only this backup type.","Incremental. This backup type is available only if the virtual machine has a full backup. An incremental backup contains only the files changed since the previous full or incremental backup.","You can also add a short description to the backup.","Click OK.","Note: Backing up a virtual machine may take you some time. Do not work with the virtual machine until the procedure is over.","Backing Up a Virtual Machine","30261.htm");
Page[120]=new Array("To restore a virtual machine backup, do the following:","Select a virtual machine in the sidebar and go to the Backup tab.","On this tab, select the backup you want to restore and click Restore.","Note: Restoring a virtual machine backup may take some time. Please wait until the procedure is over.","To remove a virtual machine backup, do the following:","Select a virtual machine in the sidebar and go to the Backup tab.","On this tab, select the backup you want to remove and click Delete. The selected backup will be removed from the Parallels server.","Restoring and Removing Virtual Machine Backups","30503.htm");
Page[121]=new Array("Parallels Compressor is an easy-to-use Parallels utility which will help you keep your virtual machines efficient for many purposes.","Parallels Compressor is a part of the Parallels Tools set and is installed, updated, and removed with Parallels Tools. To start Parallels Compressor, choose Run Parallels Compressor from the Virtual Machine menu.","Parallels Compressor allows users to:","effectively clean up disk space in a virtual machine","significantly reduce the size of virtual hard disks files","efficiently use the resources of a physical hard disk","Note: Compressing of a virtual machine cannot be performed if the virtual machine has the Undo disks option enabled, or if it has snapshots. Compressing is also unavailable for the virtual machines with plain disks.","If, nevertheless, you want to compress the virtual machine that has snapshots, delete all the snapshots with the help of Snapshot Manager before you start compressing the virtual machine's disks. For more information, refer to Managing Snapshots.","To compress the virtual machine with Undo Disks, first disable the Undo disks feature in Virtual Machine Configuration.","Using Parallels Compressor","30191.htm");
Page[122]=new Array("Parallels Compressor supports the following guest operating systems:","32-bit operating systems:","Windows 2000 Server SP4, Professional SP4","Windows XP Professional SP2, SP3, Home SP2, SP3","Windows Server 2003 Web, Standard, Enterprise, Datacenter SP2, R2","Windows Vista Home, Business, Ultimate, Enterprise SP0, SP1","Windows 2008","64-bit operating systems:","Windows XP Professional SP2","Windows Server 2003 Web, Standard, Enterprise, Datacenter SP2, R2","Windows Vista Home, Business, Ultimate, Enterprise SP0, SP1","Windows 2008","Guest Operating System Requirements","23499.htm");
Page[123]=new Array("Compressor processes a virtual machine in the following way:","defragments virtual disks and cleans up unused space","compacts virtual disks","The actions performed on your particular virtual machine depend upon the running mode:","in automatic mode Parallels Compressor compresses only the current system disk performing the pre-defined set of actions","in manual mode you are able to choose disks to compress and actions to perform","More about running modes and other Compressor properties can be found in Parallels Compressor Help.","Steps of the Compression Procedure","Parallels Compressor is designed to perform the most efficient compression of a virtual machine. The procedure consists of two steps:","a preparatory step performed in the guest operating system (deleting temporary and unnecessary files, defragmenting virtual disks and cleaning unused disk space);","a compacting step (reducing the size of the virtual disk files) performed in the primary operating system.","Parallels Compressor Working Principles","23227.htm");
Page[124]=new Array("Before Starting Parallels Compressor","Before starting the utility, back up your virtual machine by cloning it or by copying its hard disk files to a safe location. This will allow you to restore your virtual machine in case you do not like the results of the compression.","Warning: The result of virtual machine compression is irreversible.","To start Parallels Compressor:","Start the virtual machine you want to compress.","Log in to the guest operating system as a user with administrator rights.","Note: To run Parallels Compressor in a virtual machine you must have administrator rights in the guest operating system.","Choose Run Parallels Compressor from the Virtual Machine menu.","Running Parallels Compressor","Parallels Compressor has the following running modes:","automatic, the default mode. In this mode Compressor uses the default compression options."," manual, Parallels Compressor runs as a wizard which helps you select the options of virtual machine compression.","When you start Parallels Compressor, you will see the dialog box with a time indicator. The time indicator shows the time remaining until Parallels Compressor will run in automatic mode (timeout is about 10 seconds).","To run Parallels Compressor:","in automatic mode, do not do anything, just wait until the timeout expires.","in manual mode, press the ESC key or click the Manual Mode button on the dialog box before the timeout expires.","Detailed information about running Compressor in these modes is given in Parallels Compressor Help.","After Compressing Is Finished","When the compressing is complete, click Finish to exit Parallels Compressor.","How to Run Parallels Compressor","28596.htm");
Page[125]=new Array("This chapter provides information about issues that may pose a problem when running Parallels Management Console and possible solutions for these problems.","Troubleshooting and Limitations","23615.htm");
Page[126]=new Array("If you have problems with using Parallels Management Console, please view Parallels Management Console FAQs first.","Parallels Technical Support team is ready to help: describe your problem and submit a FREE support request to Parallels Support team (http://www.parallels.com/support/).","To discuss your problem online, visit Parallels Forum (http://forum.parallels.com/). ","Telephone support is available on a per incident fee basis. For more information, visit the web page of Parallels Support team (http://www.parallels.com/support/).","Getting Technical Support","23203.htm");
Page[127]=new Array("To help improve the quality of Parallels Server, you can send problem reports to Parallels support team. If a fatal error occurs in a virtual machine, Parallels Management Console automatically opens the Parallels Problem Report window prompting you to send a report. If you notice an unusual virtual machine behavior, you can create a report manually by choosing Report a Problem from the Help menu and filling out the form. Parallels Management Console will create a status report and make a screen shot of the running virtual machine.","Note: Parallels team collects error reports and uses them for identifying performance issues, but does not respond to them. If you need assistance in resolving the issue, visit Parallels forum or Support page, or log us a support call.","The Parallels Problem Report window looks as follows:","In the Specify the problem type field, you can select the type of your problem from the list. In the next field, you can add a short problem description. These two fields are optional.","The Technical Data option includes the .txt status report file that has been generated for the error. The status report contains the product version and activation data, primary and guest OSs information, virtual machine configuration and system data information, processor status, etc. Click the Technical Data icon to view the .txt file and to choose the sections that will be added to the report. The file is saved on the host computer. If you want to locate it, click the Go To File button.","The Guest OS Screenshot option includes the session screen shot of the guest OS in a .png format. This option is available if you create a problem report during the virtual machine session. Click the Guest OS Screenshot icon to see the screen shot and the path to its location on the host computer.","The Primary OS Screenshot option includes the session screen shot of the primary OS in a .png format. This screen shot is made and put on the primary OS desktop whenever you create a problem report. Click the Primary OS Screenshot icon to see the screen shot.","In the Contact Name and Contact e-mail fields, type your name and e-mail. This information will be used by the Parallels support team to address you for more technical details if needed.","Sending a Report","After you revise the problem report components, click Send Report. The report will receive its unique id number and will be sent to the Parallels support team.","Reporting a Problem to Parallels Support Team","30101.htm");
Page[128]=new Array("The amount of the host computer physical memory required for each virtual machine operation can be represented as follows:","Virtual Machine Memory = Guest OS Memory + Video Memory + Virtual Machine Monitor Memory","Guest OS Memory is the amount of RAM available to your guest OS. You can configure the guest OS memory amount in the Virtual Machine Configuration dialog.","Video Memory is the amount of physical memory available to the virtual machine's video card. You can adjust the video memory amount in the Video pane of Virtual Machine Configuration.","Virtual Machine Monitor is the module responsible for the guest operating system virtualization. It consumes memory to perform operations of guest virtual devices and  handle virtual paging emulation. The amount of memory required for the Virtual Machine Monitor operation depends on the guest OS and varies from 50 MB to 200 MB.","You can configure the whole amount of physical memory available for all running virtual machines in the Memory tab of the application Preferences.","Memory Overcommitment","If you have several virtual machines running at a time, and you are trying to start one more virtual machine, you can come across the memory over commit. The application will inform you with the corresponding message. This means that all your running virtual machines require more memory that is configured in the Memory tab of the application Preferences. If you start one more virtual machine, this may significantly slow down all your virtual machines. To solve this problem, you can:","stop one or several of your running virtual machines, or","edit your virtual machines' configurations to make them consume less memory, or","edit the application memory preferences to allocate more memory to your virtual machines.","Memory Usage Problems","29727.htm");
Page[129]=new Array("Because of the close integration with the operating system of the client computer, some actions performed by Parallels Management Console may be detected as malicious by the antivirus software.","However, such actions are necessary to ensure the proper functioning of Parallels Management Console. That is why you should prevent the antivirus software from blocking them. If you do not want the alerts to appear in future, perform a full system scan using the antivirus software and add these processes to the list of trusted ones if no viruses are detected. To find out how to do it, refer to your antivirus software Help.","Note: The names of Parallels Management Console processes usually start with prl or parallels.","Problems With Antivirus Software","30247.htm");
Page[130]=new Array("If the X Server fail to start in Linux virtual machines, you need to install Parallels Tools in text mode to fix the problem.","Start the virtual machine.","When you see a message about X Server that failed to start, switch to another virtual console using Ctrl+Alt+F1 and enter your login details.","Choose Install Parallels Tools from the Virtual Machine menu to connect the Parallels Tools ISO image to your virtual machine.","Note: If the Install Parallels Tools option is grayed out, make sure that Parallels Tools can be installed in your guest operating system. To see the list of guest OSs supported by Parallels Tools, refer to Parallels Tools Availability.","The prl-tools-lin.iso image file will be connected to the virtual machine's CD/DVD-ROM drive.","In the virtual machine console, type the following command to gain the root privileges:","su","Check if the Parallels Tools CD image is mounted by entering","mount | grep iso9660","If this command does not return anything, proceed to the next step.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,exec,nosuid,nodev,uid=0),","skip the next step and proceed to the following one.","If this command returns anything like","/dev/cdrom on /media/cdrom type iso9660 (ro,noexec,nosuid,nodev,uid=0)","with the noexec option present in parentheses, you need to unmount the disc using the following command and then proceed to the next step:","umount /dev/cdrom","To mount the Parallels Tools installation disc image, enter the following:","mount -o exec /dev/cdrom /media/cdrom","Note: /dev/cdrom is the virtual machine's CD/DVD-ROM drive and /media/cdrom is the mount point for this device. In some of the Linux operating systems the virtual CD/DVD-ROM drive may appear as /dev/hdb and the mount point /mnt/cdrom. Some Linux OSs do not have the CD/DVD-ROM mount point. In this case, you should create the mount point directory manually.","When the installation disc image is mounted, change the directory to the CD/DVD-ROM directory using","cd /media/cdrom/","In the CD/DVD-ROM directory, enter the following to launch Parallels Tools installation:","./install","Note: You must have the root privileges to run this command.","Follow the Parallels Tools Installer instructions to complete the installation.","When the installation of Parallels Tools is complete, restart your virtual machine.","For general information about installing Parallels Tools in Linux, refer to Installing Parallels Tools in a Linux Guest OS.","Upgrading or Installing Parallels Tools in Text Mode in a Linux Guest OS","30526.htm");
Page[131]=new Array("When installing or upgrading Parallels Tools in a Linux virtual machine, you may need to install the gcc package and kernel sources in your Linux guest OS. Kernel sources can be either downloaded from the Internet, or installed from Linux distribution disks.","To install the gcc package and kernel sources in the RHEL/Fedora/CentOS Linux distribution, enter the following command in a terminal:","yum install gcc kernel-devel","make","To install the gcc package and kernel sources in the Debian/Ubuntu Linux distribution, enter the following command in a terminal:","apt-get install gcc make linux-headers-$(uname -r)","For information how to install the gcc package and kernel sources in other Linux distributions, refer to the corresponding Linux distribution documentation.","If you still experiencing problems, try to find a solution in Parallels Knowledge Base or refer to the Parallels support team.","Installing the GCC package and kernel sources in Linux","29520.htm");
Page[132]=new Array("This glossary defines terms and spells out abbreviations used in Parallels Management Console User's Guide. References to terms defined elsewhere in the glossary appear in italics.","Administrator. A user with server administration privileges.","Bridged networking. Virtual machine network connection mode that enables the virtual machine to appear as any other computer on the network, with it own IP address and network name.","Client computer. A computer that has Parallels Management Console installed.","Client operating system (client OS). An operating system of a remote client computer where Parallels Management Console is installed.","Configuration file. See PVS file. Configuration file specifies virtual machine's devices and resources. It is created automatically when you create a new virtual machine.","Expanding format. A virtual hard disk format. An expanding virtual hard disk image file resides on your host computer and is small initially. Its size grows as you add applications and data to the virtual hard disk in the guest OS.","Guest operating system (guest OS). Operating system that runs under the virtual machine control. ","HDD file. A virtual hard disk file used by the virtual machine.","Host computer. A physical server where Parallels Server Bare Metal or Parallels Server for Mac is installed. This computer hosts virtual machines files.","Host-only networking. Virtual machine network connection mode that create a private network between the host computer and its virtual machines, which makes the virtual machine available from the host computer only.","Localhost. Physical computer where both Parallels Server and Parallels Management Console, that you use to manage virtual machines, are installed.","Parallels Management Console. Client application that provides graphical user interface for managing Parallels Server Bare Metal or Parallels Server for Mac, their virtual machines, preferences, and settings.","Parallels Physical Server. A physical server where Parallels Server Bare Metal or Parallels Server for Mac is installed. This computer hosts virtual machines files.","Plain format. A virtual hard disk format. A plain virtual hard disk image file resides on your host computer and has a fixed size that cannot be changed.","Preboot Execution Environment (PXE). An environment to boot computers using a network interface independently of available data storage devices (like hard disks) or installed operating systems.","PVS file. A virtual machine configuration file that contains information about the virtual machine resources, devices and other settings.","Shared networking. Virtual machine network connection mode that allows the virtual machine to use the host computer network connections.","Virtual hard disk. A file or a group of files that emulates virtual machine's hard disk.","Virtual Machine. A virtualized PC environment in which an operating system can be installed and run just like in a physical computer.","Virtual machine files. Files stored in the virtual machine folder. Virtual machine has at least two files: configuration file and virtual hard disk file.","Virtual machine template. A virtual machine that can be cloned to multiple virtual machines that will have the same configuration that the virtual machine template had.","VM. See Virtual Machine.","Glossary","23207.htm");
var PageCount=133;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";
Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+='<link rel="stylesheet" type="text/css" href="2007.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}